(* Content-type: application/vnd.wolfram.mathematica *)

(*** Wolfram Notebook File ***)
(* http://www.wolfram.com/nb *)

(* CreatedBy='Mathematica 10.0' *)

(*CacheID: 234*)
(* Internal cache information:
NotebookFileLineBreakTest
NotebookFileLineBreakTest
NotebookDataPosition[       158,          7]
NotebookDataLength[     32867,        900]
NotebookOptionsPosition[     30475,        819]
NotebookOutlinePosition[     30811,        834]
CellTagsIndexPosition[     30768,        831]
WindowFrame->Normal*)

(* Beginning of Notebook Content *)
Notebook[{
Cell[BoxData[{
 RowBox[{
  RowBox[{"Ls", "=", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{
       RowBox[{
        RowBox[{"-", "8"}], "-", 
        RowBox[{"1", "/", "20"}]}], ",", 
       RowBox[{"1", "/", "20"}]}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"1", ",", 
       RowBox[{
        RowBox[{"-", "2"}], "-", "1"}]}], "}"}]}], "}"}]}], ";"}], "\n", 
 RowBox[{
  RowBox[{"Bs", "=", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"8", ",", "0"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"0", ",", "0"}], "}"}]}], "}"}]}], ";"}], "\n", 
 RowBox[{
  RowBox[{"Fs", "=", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"0", ",", "0"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"0", ",", "2"}], "}"}]}], "}"}]}], ";"}], "\n", 
 RowBox[{
  RowBox[{"Lv", " ", "=", " ", 
   RowBox[{"Ls", "+", "Bs"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Fv", "=", "Fs"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Pisv", "=", 
   RowBox[{"IdentityMatrix", "[", 
    RowBox[{"Length", "[", "Ls", "]"}], "]"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Pivs", "=", 
   RowBox[{"IdentityMatrix", "[", 
    RowBox[{"Length", "[", "Ls", "]"}], "]"}]}], ";"}]}], "Input",
 CellChangeTimes->{{3.6518097398951807`*^9, 3.651809791015411*^9}, {
  3.65180984240866*^9, 3.6518098452054367`*^9}, {3.65180988844834*^9, 
  3.65181006074018*^9}, {3.651810126948695*^9, 3.651810156858355*^9}, {
  3.651810221988315*^9, 3.651810510065248*^9}}],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{
  RowBox[{"mean", "=", 
   RowBox[{"15", "/", "10"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"WP", "=", "35"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"VacationQueueMoments2", "[", 
   RowBox[{
    RowBox[{"N", "[", 
     RowBox[{"Lv", ",", "WP"}], "]"}], ",", 
    RowBox[{"N", "[", 
     RowBox[{"Fv", ",", "WP"}], "]"}], ",", 
    RowBox[{"N", "[", 
     RowBox[{"Pivs", ",", "WP"}], "]"}], ",", 
    RowBox[{"N", "[", 
     RowBox[{"Bs", ",", "WP"}], "]"}], ",", 
    RowBox[{"N", "[", 
     RowBox[{"Ls", ",", "WP"}], "]"}], ",", 
    RowBox[{"N", "[", 
     RowBox[{"Fs", ",", "WP"}], "]"}], ",", 
    RowBox[{"N", "[", 
     RowBox[{"Pisv", ",", "WP"}], "]"}], ",", " ", "1", ",", " ", "sigmaExp", 
    ",", " ", "WP"}], "]"}], "[", 
  RowBox[{"[", "1", "]"}], "]"}]}], "Input",
 CellChangeTimes->{{3.651813453803401*^9, 3.651813454140107*^9}, {
  3.65181348917826*^9, 3.651813495005804*^9}}],

Cell[BoxData["0.1969607167546786805882702753396197473971252111542286288188`35.\
"], "Output",
 CellChangeTimes->{3.6518134641110992`*^9, 3.6518134967400007`*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{
  RowBox[{"WP", "=", "35"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"mExp", "=", 
   RowBox[{"Table", "[", 
    RowBox[{
     RowBox[{
      RowBox[{"mean", "=", "i"}], ";", 
      RowBox[{
       RowBox[{"VacationQueueMoments2", "[", 
        RowBox[{
         RowBox[{"N", "[", 
          RowBox[{"Lv", ",", "WP"}], "]"}], ",", 
         RowBox[{"N", "[", 
          RowBox[{"Fv", ",", "WP"}], "]"}], ",", 
         RowBox[{"N", "[", 
          RowBox[{"Pivs", ",", "WP"}], "]"}], ",", 
         RowBox[{"N", "[", 
          RowBox[{"Bs", ",", "WP"}], "]"}], ",", 
         RowBox[{"N", "[", 
          RowBox[{"Ls", ",", "WP"}], "]"}], ",", 
         RowBox[{"N", "[", 
          RowBox[{"Fs", ",", "WP"}], "]"}], ",", 
         RowBox[{"N", "[", 
          RowBox[{"Pisv", ",", "WP"}], "]"}], ",", " ", "1", ",", " ", 
         "sigmaExp", ",", " ", "WP"}], "]"}], "[", 
       RowBox[{"[", "1", "]"}], "]"}]}], ",", 
     RowBox[{"{", 
      RowBox[{"i", ",", 
       RowBox[{"1", "/", "10"}], ",", 
       RowBox[{"15", "/", "10"}], ",", 
       RowBox[{"1", "/", "10"}]}], "}"}]}], "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{"ListLinePlot", "[", "mExp", "]"}]}], "Input",
 CellChangeTimes->{{3.651810021046636*^9, 3.6518100211052217`*^9}, {
   3.6518100900500317`*^9, 3.651810099883423*^9}, {3.6518105231907673`*^9, 
   3.651810670110606*^9}, {3.651810736678825*^9, 3.6518107539022827`*^9}, {
   3.651813385652995*^9, 3.651813386277465*^9}, 3.651813505095332*^9, {
   3.651813535623448*^9, 3.651813538717779*^9}}],

Cell[BoxData[
 GraphicsBox[{{}, {{}, {}, 
    {RGBColor[0.368417, 0.506779, 0.709798], PointSize[0.019444444444444445`],
      AbsoluteThickness[1.6], 
     LineBox[{{1., 0.13356920138632059`}, {2., 0.13468100492153773`}, {3., 
      0.13654309166097317`}, {4., 0.13910481857477539`}, {5., 
      0.14230044710694303`}, {6., 0.14606258689021304`}, {7., 
      0.150327883730828}, {8., 0.15503911389466146`}, {9., 
      0.16014562163301965`}, {10., 0.16560302163470314`}, {11., 
      0.171372609112654}, {12., 0.1774206885965071}, {13., 
      0.18371791869561768`}, {14., 0.19023871387626778`}, {15., 
      0.1969607167546787}}]}}, {}},
  AspectRatio->NCache[GoldenRatio^(-1), 0.6180339887498948],
  Axes->{True, True},
  AxesLabel->{None, None},
  AxesOrigin->{0, 0.1303996256179027},
  DisplayFunction->Identity,
  Frame->{{False, False}, {False, False}},
  FrameLabel->{{None, None}, {None, None}},
  FrameTicks->{{Automatic, Automatic}, {Automatic, Automatic}},
  GridLines->{None, None},
  GridLinesStyle->Directive[
    GrayLevel[0.5, 0.4]],
  Method->{},
  PlotRange->{{0., 15.}, {0.13356920138632059`, 0.1969607167546787}},
  PlotRangeClipping->True,
  PlotRangePadding->{{
     Scaled[0.02], 
     Scaled[0.02]}, {
     Scaled[0.05], 
     Scaled[0.05]}},
  Ticks->{Automatic, Automatic}]], "Output",
 CellChangeTimes->{
  3.651810021424461*^9, {3.651810090519453*^9, 3.651810100216341*^9}, {
   3.651810136344171*^9, 3.6518101637431707`*^9}, 3.651810324858171*^9, 
   3.6518103553527946`*^9, 3.651810516764575*^9, {3.6518105804834414`*^9, 
   3.6518106387224903`*^9}, 3.651810678302647*^9, 3.651810741954097*^9, 
   3.6518107833647203`*^9, 3.6518134253780727`*^9, 3.651813523048356*^9, 
   3.651813575597278*^9, 3.6518136800875053`*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{
  RowBox[{"mUni", "=", 
   RowBox[{"Table", "[", 
    RowBox[{
     RowBox[{
      RowBox[{"mean", "=", "i"}], ";", 
      RowBox[{
       RowBox[{"VacationQueueMoments2", "[", 
        RowBox[{
        "Lv", ",", "Fv", ",", "Pivs", ",", "Bs", ",", "Ls", ",", "Fs", ",", 
         "Pisv", ",", " ", "1", ",", " ", "sigmaUni", ",", " ", "50"}], "]"}],
        "[", 
       RowBox[{"[", "1", "]"}], "]"}]}], ",", 
     RowBox[{"{", 
      RowBox[{"i", ",", 
       RowBox[{"1", "/", "10"}], ",", 
       RowBox[{"15", "/", "10"}], ",", 
       RowBox[{"1", "/", "10"}]}], "}"}]}], "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{"ListLinePlot", "[", "mUni", "]"}]}], "Input",
 CellChangeTimes->{{3.651810684705103*^9, 3.6518106915983562`*^9}, {
  3.651813548703328*^9, 3.651813549868013*^9}, {3.651813598846846*^9, 
  3.6518135991253843`*^9}}],

Cell[BoxData[
 GraphicsBox[{{}, {{}, {}, 
    {RGBColor[0.368417, 0.506779, 0.709798], PointSize[0.019444444444444445`],
      AbsoluteThickness[1.6], 
     LineBox[{{1., 0.13332768001843934`}, {2., 0.1336844137867282}, {3., 
      0.1342949727930478}, {4., 0.13516480468935796`}, {5., 
      0.13629439311834698`}, {6., 0.13768051012920166`}, {7., 
      0.13931720356256677`}, {8., 0.1411965727745076}, {9., 
      0.1433093760182268}, {10., 0.14564550398641046`}, {11., 
      0.14819434680798543`}, {12., 0.1509450761162248}, {13., 
      0.15388685939716518`}, {14., 0.1570090203989882}, {15., 
      0.16030115669022654`}}]}}, {}},
  AspectRatio->NCache[GoldenRatio^(-1), 0.6180339887498948],
  Axes->{True, True},
  AxesLabel->{None, None},
  AxesOrigin->{0, 0.13197900618485},
  DisplayFunction->Identity,
  Frame->{{False, False}, {False, False}},
  FrameLabel->{{None, None}, {None, None}},
  FrameTicks->{{Automatic, Automatic}, {Automatic, Automatic}},
  GridLines->{None, None},
  GridLinesStyle->Directive[
    GrayLevel[0.5, 0.4]],
  Method->{},
  PlotRange->{{0., 15.}, {0.13332768001843934`, 0.16030115669022654`}},
  PlotRangeClipping->True,
  PlotRangePadding->{{
     Scaled[0.02], 
     Scaled[0.02]}, {
     Scaled[0.05], 
     Scaled[0.05]}},
  Ticks->{Automatic, Automatic}]], "Output",
 CellChangeTimes->{3.651810698213553*^9, 3.651813555292013*^9, 
  3.651813604064061*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{
  RowBox[{"WP", "=", "35"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"mWei", "=", 
   RowBox[{"Table", "[", 
    RowBox[{
     RowBox[{
      RowBox[{"mean", "=", "i"}], ";", 
      RowBox[{
       RowBox[{"VacationQueueMoments2", "[", 
        RowBox[{
         RowBox[{"N", "[", 
          RowBox[{"Lv", ",", "WP"}], "]"}], ",", 
         RowBox[{"N", "[", 
          RowBox[{"Fv", ",", "WP"}], "]"}], ",", 
         RowBox[{"N", "[", 
          RowBox[{"Pivs", ",", "WP"}], "]"}], ",", 
         RowBox[{"N", "[", 
          RowBox[{"Bs", ",", "WP"}], "]"}], ",", 
         RowBox[{"N", "[", 
          RowBox[{"Ls", ",", "WP"}], "]"}], ",", 
         RowBox[{"N", "[", 
          RowBox[{"Fs", ",", "WP"}], "]"}], ",", 
         RowBox[{"N", "[", 
          RowBox[{"Pisv", ",", "WP"}], "]"}], ",", " ", "1", ",", " ", 
         "sigmaWei", ",", " ", "WP"}], "]"}], "[", 
       RowBox[{"[", "1", "]"}], "]"}]}], ",", 
     RowBox[{"{", 
      RowBox[{"i", ",", 
       RowBox[{"1", "/", "10"}], ",", 
       RowBox[{"15", "/", "10"}], ",", 
       RowBox[{"1", "/", "10"}]}], "}"}]}], "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{"ListLinePlot", "[", "mWei", "]"}]}], "Input",
 CellChangeTimes->{{3.651813604469358*^9, 3.6518136376671257`*^9}}],

Cell[BoxData[
 GraphicsBox[{{}, {{}, {}, 
    {RGBColor[0.368417, 0.506779, 0.709798], PointSize[0.019444444444444445`],
      AbsoluteThickness[1.6], 
     LineBox[{{1., 0.13838194888399294`}, {2., 0.15095477429995396`}, {3., 
      0.16769671420165574`}, {4., 0.18703009964048084`}, {5., 
      0.20811230989570223`}, {6., 0.23044503317323645`}, {7., 
      0.2537107926149957}, {8., 0.27769575771008187`}, {9., 
      0.30224958184230205`}, {10., 0.3272628730507586}, {11., 
      0.3526537828295218}, {12., 0.37835963009702406`}, {13., 
      0.404331458543765}, {14., 0.43053038048024733`}, {15., 
      0.45692505020944113`}}]}}, {}},
  AspectRatio->NCache[GoldenRatio^(-1), 0.6180339887498948],
  Axes->{True, True},
  AxesLabel->{None, None},
  AxesOrigin->{0, 0},
  DisplayFunction->Identity,
  Frame->{{False, False}, {False, False}},
  FrameLabel->{{None, None}, {None, None}},
  FrameTicks->{{Automatic, Automatic}, {Automatic, Automatic}},
  GridLines->{None, None},
  GridLinesStyle->Directive[
    GrayLevel[0.5, 0.4]],
  Method->{},
  PlotRange->{{0., 15.}, {0, 0.45692505020944113`}},
  PlotRangeClipping->True,
  PlotRangePadding->{{
     Scaled[0.02], 
     Scaled[0.02]}, {
     Scaled[0.02], 
     Scaled[0.05]}},
  Ticks->{Automatic, Automatic}]], "Output",
 CellChangeTimes->{3.651813627310871*^9, 3.651813659342289*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"ListLinePlot", "[", 
  RowBox[{"{", 
   RowBox[{"mUni", ",", "mExp", ",", "mWei"}], "}"}], "]"}]], "Input",
 CellChangeTimes->{{3.651810711086388*^9, 3.651810724782874*^9}, {
  3.651813725627242*^9, 3.651813727100213*^9}}],

Cell[BoxData[
 GraphicsBox[{{}, {{}, {}, 
    {RGBColor[0.368417, 0.506779, 0.709798], PointSize[0.019444444444444445`],
      AbsoluteThickness[1.6], 
     LineBox[{{1., 0.13332768001843934`}, {2., 0.1336844137867282}, {3., 
      0.1342949727930478}, {4., 0.13516480468935796`}, {5., 
      0.13629439311834698`}, {6., 0.13768051012920166`}, {7., 
      0.13931720356256677`}, {8., 0.1411965727745076}, {9., 
      0.1433093760182268}, {10., 0.14564550398641046`}, {11., 
      0.14819434680798543`}, {12., 0.1509450761162248}, {13., 
      0.15388685939716518`}, {14., 0.1570090203989882}, {15., 
      0.16030115669022654`}}]}, 
    {RGBColor[0.880722, 0.611041, 0.142051], PointSize[0.019444444444444445`],
      AbsoluteThickness[1.6], 
     LineBox[{{1., 0.13356920138632059`}, {2., 0.13468100492153773`}, {3., 
      0.13654309166097317`}, {4., 0.13910481857477539`}, {5., 
      0.14230044710694303`}, {6., 0.14606258689021304`}, {7., 
      0.150327883730828}, {8., 0.15503911389466146`}, {9., 
      0.16014562163301965`}, {10., 0.16560302163470314`}, {11., 
      0.171372609112654}, {12., 0.1774206885965071}, {13., 
      0.18371791869561768`}, {14., 0.19023871387626778`}, {15., 
      0.1969607167546787}}]}, 
    {RGBColor[0.560181, 0.691569, 0.194885], PointSize[0.019444444444444445`],
      AbsoluteThickness[1.6], 
     LineBox[{{1., 0.13838194888399294`}, {2., 0.15095477429995396`}, {3., 
      0.16769671420165574`}, {4., 0.18703009964048084`}, {5., 
      0.20811230989570223`}, {6., 0.23044503317323645`}, {7., 
      0.2537107926149957}, {8., 0.27769575771008187`}, {9., 
      0.30224958184230205`}, {10., 0.3272628730507586}, {11., 
      0.3526537828295218}, {12., 0.37835963009702406`}, {13., 
      0.404331458543765}, {14., 0.43053038048024733`}, {15., 
      0.45692505020944113`}}]}}, {}},
  AspectRatio->NCache[GoldenRatio^(-1), 0.6180339887498948],
  Axes->{True, True},
  AxesLabel->{None, None},
  AxesOrigin->{0, 0},
  DisplayFunction->Identity,
  Frame->{{False, False}, {False, False}},
  FrameLabel->{{None, None}, {None, None}},
  FrameTicks->{{Automatic, Automatic}, {Automatic, Automatic}},
  GridLines->{None, None},
  GridLinesStyle->Directive[
    GrayLevel[0.5, 0.4]],
  Method->{},
  PlotRange->{{0., 15.}, {0, 0.45692505020944113`}},
  PlotRangeClipping->True,
  PlotRangePadding->{{
     Scaled[0.02], 
     Scaled[0.02]}, {
     Scaled[0.02], 
     Scaled[0.05]}},
  Ticks->{Automatic, Automatic}]], "Output",
 CellChangeTimes->{{3.6518107212779713`*^9, 3.651810725030807*^9}, 
   3.651813578482737*^9, 3.651813727824388*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{"res", "=", 
  RowBox[{"N", "[", 
   RowBox[{"Transpose", "[", 
    RowBox[{"{", 
     RowBox[{
      RowBox[{"Range", "[", 
       RowBox[{
        RowBox[{"1", "/", "10"}], ",", 
        RowBox[{"15", "/", "10"}], ",", 
        RowBox[{"1", "/", "10"}]}], "]"}], ",", "mExp", ",", "mUni", ",", 
      "mWei"}], "}"}], "]"}], "]"}]}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Export", "[", 
   RowBox[{"\"\<adat.txt\>\"", ",", "res", ",", "\"\<TSV\>\""}], "]"}], 
  ";"}]}], "Input",
 CellChangeTimes->{{3.651813802639502*^9, 3.651813915009824*^9}, {
  3.651813986412126*^9, 3.651813987761921*^9}}],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
   RowBox[{"{", 
    RowBox[{
    "0.1`", ",", "0.13356920138632059`", ",", "0.13332768001843934`", ",", 
     "0.13838194888399294`"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
    "0.2`", ",", "0.13468100492153773`", ",", "0.1336844137867282`", ",", 
     "0.15095477429995396`"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
    "0.3`", ",", "0.13654309166097317`", ",", "0.1342949727930478`", ",", 
     "0.16769671420165574`"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
    "0.4`", ",", "0.13910481857477539`", ",", "0.13516480468935796`", ",", 
     "0.18703009964048084`"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
    "0.5`", ",", "0.14230044710694303`", ",", "0.13629439311834698`", ",", 
     "0.20811230989570223`"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
    "0.6`", ",", "0.14606258689021304`", ",", "0.13768051012920166`", ",", 
     "0.23044503317323645`"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
    "0.7`", ",", "0.150327883730828`", ",", "0.13931720356256677`", ",", 
     "0.2537107926149957`"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
    "0.8`", ",", "0.15503911389466146`", ",", "0.1411965727745076`", ",", 
     "0.27769575771008187`"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
    "0.9`", ",", "0.16014562163301965`", ",", "0.1433093760182268`", ",", 
     "0.30224958184230205`"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
    "1.`", ",", "0.16560302163470314`", ",", "0.14564550398641046`", ",", 
     "0.3272628730507586`"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
    "1.1`", ",", "0.171372609112654`", ",", "0.14819434680798543`", ",", 
     "0.3526537828295218`"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
    "1.2`", ",", "0.1774206885965071`", ",", "0.1509450761162248`", ",", 
     "0.37835963009702406`"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
    "1.3`", ",", "0.18371791869561768`", ",", "0.15388685939716518`", ",", 
     "0.404331458543765`"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
    "1.4`", ",", "0.19023871387626778`", ",", "0.1570090203989882`", ",", 
     "0.43053038048024733`"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
    "1.5`", ",", "0.1969607167546787`", ",", "0.16030115669022654`", ",", 
     "0.45692505020944113`"}], "}"}]}], "}"}]], "Output",
 CellChangeTimes->{{3.6518138038235598`*^9, 3.651813884878887*^9}, 
   3.6518139152371264`*^9, 3.6518139883266573`*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{
  RowBox[{
   RowBox[{"{", 
    RowBox[{
    "Lv", ",", "Fv", ",", "Pivs", ",", "Bs", ",", "Ls", ",", "Fs", ",", 
     "Pisv"}], "}"}], "=", "MAPMAP1Ex"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{"VacationQueueMoments2", "[", 
  RowBox[{
  "Lv", ",", "Fv", ",", "Pivs", ",", "Bs", ",", "Ls", ",", "Fs", ",", "Pisv", 
   ",", " ", "0", ",", " ", "sigmaUni", ",", " ", "50"}], 
  "]"}], "\[IndentingNewLine]", 
 RowBox[{"VacationQueueMoments2", "[", 
  RowBox[{
  "Lv", ",", "Fv", ",", "Pivs", ",", "Bs", ",", "Ls", ",", "Fs", ",", "Pisv", 
   ",", " ", "0", ",", " ", "sigmaExp", ",", " ", "50"}], 
  "]"}], "\[IndentingNewLine]", 
 RowBox[{"VacationQueueMoments2", "[", 
  RowBox[{
  "Lv", ",", "Fv", ",", "Pivs", ",", "Bs", ",", "Ls", ",", "Fs", ",", "Pisv", 
   ",", " ", "0", ",", " ", "sigmaWei", ",", " ", "50"}], "]"}]}], "Input",
 CellChangeTimes->{{3.6518160670509253`*^9, 3.651816085763311*^9}, 
   3.651816228772071*^9}],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
  "0.21420087077603228`", ",", "0.09671360315584732`", ",", 
   "0.09091887152149666`", ",", "0.04013094113625516`", ",", 
   "0.381951819328087`", ",", "0.1760838940822815`"}], "}"}]], "Print",
 CellChangeTimes->{{3.651816076610586*^9, 3.6518161012032127`*^9}, 
   3.6518162300007153`*^9}],

Cell[BoxData[
 RowBox[{"{", "}"}]], "Output",
 CellChangeTimes->{{3.6518160792228947`*^9, 3.651816103713852*^9}, 
   3.6518162325209427`*^9}],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
  "0.21420087077603228`", ",", "0.09671360315584732`", ",", 
   "0.09091887152149666`", ",", "0.04013094113625516`", ",", 
   "0.381951819328087`", ",", "0.1760838940822815`"}], "}"}]], "Print",
 CellChangeTimes->{{3.651816076610586*^9, 3.6518161012032127`*^9}, 
   3.651816232595951*^9}],

Cell[BoxData[
 RowBox[{"{", "}"}]], "Output",
 CellChangeTimes->{{3.6518160792228947`*^9, 3.651816103713852*^9}, 
   3.651816237990797*^9}],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
  "0.21420087077603228`", ",", "0.09671360315584732`", ",", 
   "0.09091887152149666`", ",", "0.04013094113625516`", ",", 
   "0.381951819328087`", ",", "0.1760838940822815`"}], "}"}]], "Print",
 CellChangeTimes->{{3.651816076610586*^9, 3.6518161012032127`*^9}, 
   3.651816238094718*^9}],

Cell[BoxData[
 RowBox[{"{", "}"}]], "Output",
 CellChangeTimes->{{3.6518160792228947`*^9, 3.651816103713852*^9}, 
   3.6518163401537867`*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{
  RowBox[{
   RowBox[{"{", 
    RowBox[{
    "Lv", ",", "Fv", ",", "Pivs", ",", "Bs", ",", "Ls", ",", "Fs", ",", 
     "Pisv"}], "}"}], "=", "GeneralEx"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{"VacationQueueMoments2", "[", 
  RowBox[{
  "Lv", ",", "Fv", ",", "Pivs", ",", "Bs", ",", "Ls", ",", "Fs", ",", "Pisv", 
   ",", " ", "0", ",", " ", "sigmaUni", ",", " ", "50"}], 
  "]"}], "\[IndentingNewLine]", 
 RowBox[{"VacationQueueMoments2", "[", 
  RowBox[{
  "Lv", ",", "Fv", ",", "Pivs", ",", "Bs", ",", "Ls", ",", "Fs", ",", "Pisv", 
   ",", " ", "0", ",", " ", "sigmaExp", ",", " ", "50"}], 
  "]"}], "\[IndentingNewLine]", 
 RowBox[{"VacationQueueMoments2", "[", 
  RowBox[{
  "Lv", ",", "Fv", ",", "Pivs", ",", "Bs", ",", "Ls", ",", "Fs", ",", "Pisv", 
   ",", " ", "0", ",", " ", "sigmaWei", ",", " ", "50"}], "]"}]}], "Input",
 CellChangeTimes->{{3.651816154473654*^9, 3.651816202475135*^9}}],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
  "0.5462844519555032`", ",", "0.10943731200024827`", ",", 
   "0.34427823604424845`"}], "}"}]], "Print",
 CellChangeTimes->{{3.651816166757312*^9, 3.6518161809599*^9}, 
   3.651816213077244*^9}],

Cell[BoxData[
 RowBox[{"{", "}"}]], "Output",
 CellChangeTimes->{{3.651816167024365*^9, 3.651816181218053*^9}, 
   3.6518162133354588`*^9}],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
  "0.5429041604209232`", ",", "0.11578674358827944`", ",", 
   "0.3413090959907974`"}], "}"}]], "Print",
 CellChangeTimes->{{3.651816166757312*^9, 3.6518161809599*^9}, 
   3.651816217005745*^9}],

Cell[BoxData[
 RowBox[{"{", "}"}]], "Output",
 CellChangeTimes->{{3.651816167024365*^9, 3.651816181218053*^9}, 
   3.6518162173271513`*^9}],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
  "0.5392042461451164`", ",", "0.1422964487386142`", ",", 
   "0.3184993051162694`"}], "}"}]], "Print",
 CellChangeTimes->{{3.651816166757312*^9, 3.6518161809599*^9}, 
   3.651816221992579*^9}],

Cell[BoxData[
 RowBox[{"{", "}"}]], "Output",
 CellChangeTimes->{{3.651816167024365*^9, 3.651816181218053*^9}, 
   3.6518162225239973`*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{
  RowBox[{
   RowBox[{"{", 
    RowBox[{
    "Lv", ",", "Fv", ",", "Pivs", ",", "Bs", ",", "Ls", ",", "Fs", ",", 
     "Pisv"}], "}"}], "=", "QBDQueueEx"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{"VacationQueueMoments2", "[", 
  RowBox[{
  "Lv", ",", "Fv", ",", "Pivs", ",", "Bs", ",", "Ls", ",", "Fs", ",", "Pisv", 
   ",", " ", "0", ",", " ", "sigmaUni", ",", " ", "50"}], 
  "]"}], "\[IndentingNewLine]", 
 RowBox[{"VacationQueueMoments2", "[", 
  RowBox[{
  "Lv", ",", "Fv", ",", "Pivs", ",", "Bs", ",", "Ls", ",", "Fs", ",", "Pisv", 
   ",", " ", "0", ",", " ", "sigmaExp", ",", " ", "50"}], 
  "]"}], "\[IndentingNewLine]", 
 RowBox[{"VacationQueueMoments2", "[", 
  RowBox[{
  "Lv", ",", "Fv", ",", "Pivs", ",", "Bs", ",", "Ls", ",", "Fs", ",", "Pisv", 
   ",", " ", "0", ",", " ", "sigmaWei", ",", " ", "50"}], "]"}]}], "Input",
 CellChangeTimes->{3.65181625079418*^9}],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
   RowBox[{"0.5464172958525811`", "\[VeryThinSpace]", "+", 
    RowBox[{"0.`", " ", "\[ImaginaryI]"}]}], ",", 
   RowBox[{"0.10869528191880072`", "\[VeryThinSpace]", "+", 
    RowBox[{"0.`", " ", "\[ImaginaryI]"}]}], ",", 
   RowBox[{"0.3448874222286181`", "\[VeryThinSpace]", "+", 
    RowBox[{"0.`", " ", "\[ImaginaryI]"}]}]}], "}"}]], "Print",
 CellChangeTimes->{3.651816345496181*^9}],

Cell[BoxData[
 RowBox[{"{", "}"}]], "Output",
 CellChangeTimes->{3.651816346797001*^9}],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
   RowBox[{"0.542783047984239`", "\[VeryThinSpace]", "+", 
    RowBox[{"0.`", " ", "\[ImaginaryI]"}]}], ",", 
   RowBox[{"0.11478555444464113`", "\[VeryThinSpace]", "+", 
    RowBox[{"0.`", " ", "\[ImaginaryI]"}]}], ",", 
   RowBox[{"0.34243139757111984`", "\[VeryThinSpace]", "+", 
    RowBox[{"0.`", " ", "\[ImaginaryI]"}]}]}], "}"}]], "Print",
 CellChangeTimes->{3.651816350555809*^9}],

Cell[BoxData[
 RowBox[{"{", "}"}]], "Output",
 CellChangeTimes->{3.651816351311377*^9}],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
   RowBox[{"0.5304614903587888`", "\[VeryThinSpace]", "+", 
    RowBox[{"0.`", " ", "\[ImaginaryI]"}]}], ",", 
   RowBox[{"0.13950597562241457`", "\[VeryThinSpace]", "+", 
    RowBox[{"0.`", " ", "\[ImaginaryI]"}]}], ",", 
   RowBox[{"0.33003253401879673`", "\[VeryThinSpace]", "+", 
    RowBox[{"0.`", " ", "\[ImaginaryI]"}]}]}], "}"}]], "Print",
 CellChangeTimes->{3.651816376944972*^9}],

Cell[BoxData[
 RowBox[{"{", "}"}]], "Output",
 CellChangeTimes->{3.6518163777950706`*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{
  RowBox[{
   RowBox[{"{", 
    RowBox[{
    "Lv", ",", "Fv", ",", "Pivs", ",", "Bs", ",", "Ls", ",", "Fs", ",", 
     "Pisv"}], "}"}], "=", "IndepQBDEx"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{"VacationQueueMoments2", "[", 
  RowBox[{
  "Lv", ",", "Fv", ",", "Pivs", ",", "Bs", ",", "Ls", ",", "Fs", ",", "Pisv", 
   ",", " ", "0", ",", " ", "sigmaUni", ",", " ", "150"}], 
  "]"}], "\[IndentingNewLine]", 
 RowBox[{"VacationQueueMoments2", "[", 
  RowBox[{
  "Lv", ",", "Fv", ",", "Pivs", ",", "Bs", ",", "Ls", ",", "Fs", ",", "Pisv", 
   ",", " ", "0", ",", " ", "sigmaExp", ",", " ", "150"}], 
  "]"}], "\[IndentingNewLine]", 
 RowBox[{"VacationQueueMoments2", "[", 
  RowBox[{
  "Lv", ",", "Fv", ",", "Pivs", ",", "Bs", ",", "Ls", ",", "Fs", ",", "Pisv", 
   ",", " ", "0", ",", " ", "sigmaWei", ",", " ", "150"}], "]"}]}], "Input",
 CellChangeTimes->{
  3.65181640150733*^9, {3.651816543971901*^9, 3.6518165494638567`*^9}}],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
   RowBox[{"0.20994647362729224`", "\[VeryThinSpace]", "+", 
    RowBox[{"2.2026159628181614`*^-61", " ", "\[ImaginaryI]"}]}], ",", 
   RowBox[{"0.10099474088332668`", "\[VeryThinSpace]", "-", 
    RowBox[{"2.067270475688613`*^-61", " ", "\[ImaginaryI]"}]}], ",", 
   RowBox[{"0.0896814963170252`", "\[VeryThinSpace]", "-", 
    RowBox[{"1.2009005711604998`*^-61", " ", "\[ImaginaryI]"}]}], ",", 
   RowBox[{"0.0414046147074499`", "\[VeryThinSpace]", "+", 
    RowBox[{"1.0958168697697934`*^-61", " ", "\[ImaginaryI]"}]}], ",", 
   RowBox[{"0.3731822796104689`", "\[VeryThinSpace]", "-", 
    RowBox[{"4.245890122377514`*^-63", " ", "\[ImaginaryI]"}]}], ",", 
   RowBox[{"0.18479039485443707`", "\[VeryThinSpace]", "+", 
    RowBox[{"1.2197115484933132`*^-63", " ", "\[ImaginaryI]"}]}]}], 
  "}"}]], "Print",
 CellChangeTimes->{3.651816701925424*^9}],

Cell[BoxData[
 RowBox[{"{", "}"}]], "Output",
 CellChangeTimes->{3.651816444173855*^9, 3.6518167284077*^9}],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
   RowBox[{"0.2067929510822723`", "\[VeryThinSpace]", "+", 
    RowBox[{"4.320145700480316`*^-61", " ", "\[ImaginaryI]"}]}], ",", 
   RowBox[{"0.10416798115177603`", "\[VeryThinSpace]", "-", 
    RowBox[{"4.052596367769592`*^-61", " ", "\[ImaginaryI]"}]}], ",", 
   RowBox[{"0.08873671988550945`", "\[VeryThinSpace]", "-", 
    RowBox[{"2.355319534042116`*^-61", " ", "\[ImaginaryI]"}]}], ",", 
   RowBox[{"0.042375606007577823`", "\[VeryThinSpace]", "+", 
    RowBox[{"2.147964572008447`*^-61", " ", "\[ImaginaryI]"}]}], ",", 
   RowBox[{"0.3666941844153038`", "\[VeryThinSpace]", "-", 
    RowBox[{"8.27379792300544`*^-63", " ", "\[ImaginaryI]"}]}], ",", 
   RowBox[{"0.19123255745756057`", "\[VeryThinSpace]", "+", 
    RowBox[{"2.2543608552999725`*^-63", " ", "\[ImaginaryI]"}]}]}], 
  "}"}]], "Print",
 CellChangeTimes->{3.651816863188325*^9}],

Cell[BoxData[
 RowBox[{"{", "}"}]], "Output",
 CellChangeTimes->{3.651816444173855*^9, 3.651816882900811*^9}],

Cell[BoxData["$Aborted"], "Output",
 CellChangeTimes->{3.651816444173855*^9, 3.651818732688582*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"VacationQueueMoments2", "[", 
  RowBox[{
  "Lv", ",", "Fv", ",", "Pivs", ",", "Bs", ",", "Ls", ",", "Fs", ",", "Pisv", 
   ",", " ", "0", ",", " ", "sigmaWei", ",", " ", "120"}], "]"}]], "Input",
 CellChangeTimes->{
  3.651818738297057*^9, {3.651818947130746*^9, 3.6518189478411922`*^9}, 
   3.651819069585259*^9}],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
   RowBox[{"0.19746114259824513`", "\[VeryThinSpace]", "+", 
    RowBox[{"1.3899128339887644`*^-40", " ", "\[ImaginaryI]"}]}], ",", 
   RowBox[{"0.1135524532591354`", "\[VeryThinSpace]", "-", 
    RowBox[{"1.0736753629108683`*^-40", " ", "\[ImaginaryI]"}]}], ",", 
   RowBox[{"0.08550599438866437`", "\[VeryThinSpace]", "-", 
    RowBox[{"5.087193366033511`*^-41", " ", "\[ImaginaryI]"}]}], ",", 
   RowBox[{"0.045666817087327866`", "\[VeryThinSpace]", "+", 
    RowBox[{"2.219860136806817`*^-41", " ", "\[ImaginaryI]"}]}], ",", 
   RowBox[{"0.3479535335527043`", "\[VeryThinSpace]", "-", 
    RowBox[{"1.0760307491954419`*^-41", " ", "\[ImaginaryI]"}]}], ",", 
   RowBox[{"0.20986005911392294`", "\[VeryThinSpace]", "+", 
    RowBox[{"7.809892676431747`*^-42", " ", "\[ImaginaryI]"}]}]}], 
  "}"}]], "Print",
 CellChangeTimes->{3.651820919905313*^9}],

Cell[BoxData[
 RowBox[{"{", "}"}]], "Output",
 CellChangeTimes->{3.6518189440643578`*^9, 3.651819009695135*^9, 
  3.651819067567906*^9, 3.6518209303981113`*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData["mWei"], "Input",
 CellChangeTimes->{{3.651824303365829*^9, 3.651824315972137*^9}}],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
  "0.1383819488839929522782264694246646533917615513246346809623`35.", ",", 
   "0.1509547742999539584847816839190762676645580737111501025364`35.", ",", 
   "0.1676967142016557326615749126506052548330059873468300855994`35.", ",", 
   "0.1870300996404808310315604643551623902918603901267777327112`35.", ",", 
   "0.2081123098957022387982683517137327583523850367126366622659`35.", ",", 
   "0.2304450331732364498559132908285190124212357970739702150528`35.", ",", 
   "0.2537107926149956869640049346410854935515848939046126369138`35.", ",", 
   "0.2776957577100818907751099273586895138626908913581291198671`35.", ",", 
   "0.3022495818423020347549458272724372865398798371460025562475`35.", ",", 
   "0.327262873050758578131219444256362198268758246717924096031`35.", ",", 
   "0.3526537828295218372999672882862537725521172891284058555935`35.", ",", 
   "0.378359630097024079836547568519304354705388408290077647577`35.", ",", 
   "0.4043314585437649842198647765903132691654934445777671638971`35.", ",", 
   "0.4305303804802473264265689790170540151837872368555654726637`35.", ",", 
   "0.4569250502094411159600113485921509298022153828810892107748`35."}], 
  "}"}]], "Output",
 CellChangeTimes->{{3.651824304238003*^9, 3.651824316253305*^9}}]
}, Open  ]]
},
WindowSize->{951, 1025},
WindowMargins->{{Automatic, 145}, {Automatic, -4}},
FrontEndVersion->"10.0 for Linux x86 (64-bit) (June 27, 2014)",
StyleDefinitions->"Default.nb"
]
(* End of Notebook Content *)

(* Internal cache information *)
(*CellTagsOutline
CellTagsIndex->{}
*)
(*CellTagsIndex
CellTagsIndex->{}
*)
(*NotebookFileOutline
Notebook[{
Cell[558, 20, 1518, 47, 189, "Input"],
Cell[CellGroupData[{
Cell[2101, 71, 950, 26, 114, "Input"],
Cell[3054, 99, 161, 2, 38, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[3252, 106, 1566, 39, 164, "Input"],
Cell[4821, 147, 1749, 38, 305, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[6607, 190, 870, 23, 114, "Input"],
Cell[7480, 215, 1399, 33, 295, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[8916, 253, 1292, 35, 164, "Input"],
Cell[10211, 290, 1343, 32, 301, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[11591, 327, 246, 5, 38, "Input"],
Cell[11840, 334, 2579, 53, 301, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[14456, 392, 627, 17, 64, "Input"],
Cell[15086, 411, 2405, 64, 214, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[17528, 480, 955, 22, 139, "Input"],
Cell[18486, 504, 330, 7, 28, "Print"],
Cell[18819, 513, 141, 3, 38, "Output"],
Cell[18963, 518, 328, 7, 28, "Print"],
Cell[19294, 527, 139, 3, 38, "Output"],
Cell[19436, 532, 328, 7, 28, "Print"],
Cell[19767, 541, 141, 3, 38, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[19945, 549, 927, 21, 139, "Input"],
Cell[20875, 572, 235, 6, 28, "Print"],
Cell[21113, 580, 139, 3, 38, "Output"],
Cell[21255, 585, 234, 6, 28, "Print"],
Cell[21492, 593, 139, 3, 38, "Output"],
Cell[21634, 598, 233, 6, 28, "Print"],
Cell[21870, 606, 139, 3, 38, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[22046, 614, 903, 21, 139, "Input"],
Cell[22952, 637, 428, 9, 28, "Print"],
Cell[23383, 648, 87, 2, 38, "Output"],
Cell[23473, 652, 428, 9, 28, "Print"],
Cell[23904, 663, 87, 2, 38, "Output"],
Cell[23994, 667, 429, 9, 28, "Print"],
Cell[24426, 678, 89, 2, 38, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[24552, 685, 957, 22, 139, "Input"],
Cell[25512, 709, 890, 16, 62, "Print"],
Cell[26405, 727, 107, 2, 38, "Output"],
Cell[26515, 731, 888, 16, 62, "Print"],
Cell[27406, 749, 109, 2, 38, "Output"],
Cell[27518, 753, 99, 1, 38, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[27654, 759, 338, 7, 64, "Input"],
Cell[27995, 768, 891, 16, 62, "Print"],
Cell[28889, 786, 160, 3, 38, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[29086, 794, 96, 1, 38, "Input"],
Cell[29185, 797, 1274, 19, 389, "Output"]
}, Open  ]]
}
]
*)

(* End of internal cache information *)
