(* Content-type: application/vnd.wolfram.mathematica *)

(*** Wolfram Notebook File ***)
(* http://www.wolfram.com/nb *)

(* CreatedBy='Mathematica 10.0' *)

(*CacheID: 234*)
(* Internal cache information:
NotebookFileLineBreakTest
NotebookFileLineBreakTest
NotebookDataPosition[       158,          7]
NotebookDataLength[     56944,       1564]
NotebookOptionsPosition[     55111,       1501]
NotebookOutlinePosition[     55445,       1516]
CellTagsIndexPosition[     55402,       1513]
WindowFrame->Normal*)

(* Beginning of Notebook Content *)
Notebook[{

Cell[CellGroupData[{
Cell[BoxData[{
 RowBox[{
  RowBox[{"AppendTo", "[", 
   RowBox[{"$Path", ",", "\"\</home/gabor/github/butools/Mathematica\>\""}], 
   "]"}], ";"}], "\n", 
 RowBox[{"<<", "BuTools`"}]}], "Input"],

Cell[CellGroupData[{

Cell[BoxData["\<\"Butools V2.0\"\>"], "Print",
 CellChangeTimes->{3.651395778305957*^9, 3.651809476929571*^9, 
  3.651812941757468*^9}],

Cell["\<\
Packages loaded: Moments\tMC\tRepTrans\tPH\tDPH\tMAP\tDMAP\tTrace\tMAM\t\
Fitting\tQueues\t\
\>", "Print",
 CellChangeTimes->{3.651395778305957*^9, 3.651809476929571*^9, 
  3.6518129418002253`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Global variables: \\nBuTools`Verbose = \"\>", 
   "\[InvisibleSpace]", "False", 
   "\[InvisibleSpace]", "\<\"\\nBuTools`CheckInput = \"\>", 
   "\[InvisibleSpace]", "True", 
   "\[InvisibleSpace]", "\<\"\\nBuTools`CheckPrecision = \"\>", 
   "\[InvisibleSpace]", "1.`*^-12"}],
  SequenceForm[
  "Global variables: \nBuTools`Verbose = ", False, "\nBuTools`CheckInput = ", 
   True, "\nBuTools`CheckPrecision = ", 1.*^-12],
  Editable->False]], "Print",
 CellChangeTimes->{3.651395778305957*^9, 3.651809476929571*^9, 
  3.6518129421104183`*^9}]
}, Open  ]]
}, Open  ]],

Cell[BoxData[
 RowBox[{
  RowBox[{"(*", " ", 
   RowBox[{"General", " ", "example"}], " ", "*)"}], "\[IndentingNewLine]", 
  RowBox[{
   RowBox[{
    RowBox[{"Lv", "=", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{
         RowBox[{"-", "5"}], ",", "1"}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"2", ",", 
         RowBox[{"-", "3"}]}], "}"}]}], "}"}]}], ";"}], "\n", 
   RowBox[{
    RowBox[{"Fv", "=", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{"3", ",", "1"}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"0", ",", "1"}], "}"}]}], "}"}]}], ";"}], "\n", 
   RowBox[{
    RowBox[{"Pivs", "=", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{
         RowBox[{"8", "/", "10"}], ",", "0", ",", 
         RowBox[{"2", "/", "10"}]}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"0", ",", 
         RowBox[{"7", "/", "10"}], ",", 
         RowBox[{"3", "/", "10"}]}], "}"}]}], "}"}]}], ";"}], "\n", 
   RowBox[{
    RowBox[{"Ls", "=", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{
         RowBox[{"-", "8"}], ",", "1", ",", "0"}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"0", ",", 
         RowBox[{"-", "5"}], ",", "2"}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"1", ",", "3", ",", 
         RowBox[{"-", "11"}]}], "}"}]}], "}"}]}], ";"}], "\n", 
   RowBox[{
    RowBox[{"Bs", "=", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{"0", ",", "0", ",", "0"}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"1", ",", "0", ",", "1"}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"4", ",", "1", ",", "2"}], "}"}]}], "}"}]}], ";"}], "\n", 
   RowBox[{
    RowBox[{"Fs", "=", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{"2", ",", "1", ",", "4"}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"0", ",", "1", ",", "0"}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"0", ",", "0", ",", "0"}], "}"}]}], "}"}]}], ";"}], "\n", 
   RowBox[{
    RowBox[{"Pisv", "=", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{"1", ",", "0"}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"1", ",", "0"}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"1", "/", "10"}], ",", 
         RowBox[{"9", "/", "10"}]}], "}"}]}], "}"}]}], ";"}], 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"GeneralEx", "=", 
     RowBox[{"{", 
      RowBox[{
      "Lv", ",", "Fv", ",", "Pivs", ",", "Bs", ",", "Ls", ",", "Fs", ",", 
       "Pisv"}], "}"}]}], ";"}]}]}]], "Input",
 CellChangeTimes->{{3.651388612505138*^9, 3.651388627760606*^9}, {
  3.651388800299275*^9, 3.651388860095022*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"(*", " ", 
   RowBox[{"Spec", " ", 
    RowBox[{"case", ":", " ", 
     RowBox[{"QBD", " ", "queue", " ", "with", " ", "vacation"}]}]}], " ", 
   "*)"}], "\[IndentingNewLine]", 
  RowBox[{
   RowBox[{
    RowBox[{"Ls", "=", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{
         RowBox[{"-", "8"}], ",", "1", ",", "0"}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"0", ",", 
         RowBox[{"-", "5"}], ",", "2"}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"1", ",", "3", ",", 
         RowBox[{"-", "11"}]}], "}"}]}], "}"}]}], ";"}], "\n", 
   RowBox[{
    RowBox[{"Bs", "=", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{"0", ",", "0", ",", "0"}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"1", ",", "0", ",", "1"}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"4", ",", "1", ",", "2"}], "}"}]}], "}"}]}], ";"}], "\n", 
   RowBox[{
    RowBox[{"Fs", "=", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{"2", ",", "1", ",", "4"}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"0", ",", "1", ",", "0"}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"0", ",", "0", ",", "0"}], "}"}]}], "}"}]}], ";"}], "\n", 
   RowBox[{
    RowBox[{"Lv", " ", "=", " ", 
     RowBox[{"Ls", "+", "Bs"}]}], ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"Fv", "=", "Fs"}], ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"Pisv", "=", 
     RowBox[{"IdentityMatrix", "[", 
      RowBox[{"Length", "[", "Ls", "]"}], "]"}]}], ";"}], 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"Pivs", "=", 
     RowBox[{"IdentityMatrix", "[", 
      RowBox[{"Length", "[", "Ls", "]"}], "]"}]}], ";"}], 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"QBDQueueEx", "=", 
     RowBox[{"{", 
      RowBox[{
      "Lv", ",", "Fv", ",", "Pivs", ",", "Bs", ",", "Ls", ",", "Fs", ",", 
       "Pisv"}], "}"}]}], ";"}]}]}]], "Input",
 CellChangeTimes->{{3.651388629351296*^9, 3.651388657311243*^9}, {
  3.651388866557477*^9, 3.6513888714394817`*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"(*", " ", 
   RowBox[{"Spec", " ", 
    RowBox[{"case", ":", " ", 
     RowBox[{
      RowBox[{
       RowBox[{"MAP", "/", "MAP"}], "/", "1"}], " ", "queue", " ", "with", 
      " ", "vacation"}]}]}], " ", "*)"}], "\[IndentingNewLine]", 
  RowBox[{
   RowBox[{
    RowBox[{"D0", "=", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{
         RowBox[{"-", "8"}], ",", "1", ",", "2"}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"0", ",", 
         RowBox[{"-", "6"}], ",", "4"}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"3", ",", "0", ",", 
         RowBox[{"-", "3"}]}], "}"}]}], "}"}]}], ";"}], "\n", 
   RowBox[{
    RowBox[{"D1", "=", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{"4", ",", "1", ",", "0"}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"0", ",", "2", ",", "0"}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"0", ",", "0", ",", "0"}], "}"}]}], "}"}]}], ";"}], "\n", 
   RowBox[{
    RowBox[{"S0", "=", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{
         RowBox[{"-", "10"}], ",", "4"}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"0", ",", 
         RowBox[{"-", "7"}]}], "}"}]}], "}"}]}], ";"}], "\n", 
   RowBox[{
    RowBox[{"S1", "=", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{"5", ",", "1"}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"4", ",", "3"}], "}"}]}], "}"}]}], ";"}], 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"Fs", "=", 
     RowBox[{"KroneckerProduct", "[", 
      RowBox[{"D1", ",", 
       RowBox[{"IdentityMatrix", "[", 
        RowBox[{"Length", "[", "S0", "]"}], "]"}]}], "]"}]}], ";"}], 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"Bs", "=", 
     RowBox[{"KroneckerProduct", "[", 
      RowBox[{
       RowBox[{"IdentityMatrix", "[", 
        RowBox[{"Length", "[", "D0", "]"}], "]"}], ",", "S1"}], "]"}]}], 
    ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"Ls", "=", 
     RowBox[{
      RowBox[{"KroneckerProduct", "[", 
       RowBox[{"D0", ",", 
        RowBox[{"IdentityMatrix", "[", 
         RowBox[{"Length", "[", "S0", "]"}], "]"}]}], "]"}], "+", 
      RowBox[{"KroneckerProduct", "[", 
       RowBox[{
        RowBox[{"IdentityMatrix", "[", 
         RowBox[{"Length", "[", "D0", "]"}], "]"}], ",", "S0"}], "]"}]}]}], 
    ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"Lv", "=", 
     RowBox[{"KroneckerProduct", "[", 
      RowBox[{"D0", ",", 
       RowBox[{"IdentityMatrix", "[", 
        RowBox[{"Length", "[", "S0", "]"}], "]"}]}], "]"}]}], ";"}], 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"Fv", "=", "Fs"}], ";"}], "\n", 
   RowBox[{
    RowBox[{"Pisv", "=", 
     RowBox[{"IdentityMatrix", "[", 
      RowBox[{"Length", "[", "Ls", "]"}], "]"}]}], ";"}], 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"Pivs", "=", 
     RowBox[{"IdentityMatrix", "[", 
      RowBox[{"Length", "[", "Ls", "]"}], "]"}]}], ";"}], 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"MAPMAP1Ex", "=", 
     RowBox[{"{", 
      RowBox[{
      "Lv", ",", "Fv", ",", "Pivs", ",", "Bs", ",", "Ls", ",", "Fs", ",", 
       "Pisv"}], "}"}]}], ";"}]}]}]], "Input",
 CellChangeTimes->{{3.651388659100621*^9, 3.651388691493761*^9}, {
  3.6513888757096453`*^9, 3.651388880798929*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"(*", " ", 
   RowBox[{"Spec", " ", 
    RowBox[{"case", ":", " ", 
     RowBox[{
     "QBD", " ", "queue", " ", "with", " ", "independent", " ", "arrivals", 
      " ", "and", " ", "services"}]}]}], " ", "*)"}], "\[IndentingNewLine]", 
  RowBox[{
   RowBox[{
    RowBox[{"D0", "=", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{
         RowBox[{"-", "8"}], ",", "1", ",", "2"}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"0", ",", 
         RowBox[{"-", "6"}], ",", "4"}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"3", ",", "0", ",", 
         RowBox[{"-", "3"}]}], "}"}]}], "}"}]}], ";"}], "\n", 
   RowBox[{
    RowBox[{"D1", "=", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{"4", ",", "1", ",", "0"}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"0", ",", "2", ",", "0"}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"0", ",", "0", ",", "0"}], "}"}]}], "}"}]}], ";"}], "\n", 
   RowBox[{
    RowBox[{"S0", "=", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{
         RowBox[{"-", "10"}], ",", "4"}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"0", ",", 
         RowBox[{"-", "7"}]}], "}"}]}], "}"}]}], ";"}], "\n", 
   RowBox[{
    RowBox[{"S1", "=", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{"5", ",", "1"}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"4", ",", "3"}], "}"}]}], "}"}]}], ";"}], 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"Fs", "=", 
     RowBox[{"KroneckerProduct", "[", 
      RowBox[{"D1", ",", 
       RowBox[{"IdentityMatrix", "[", 
        RowBox[{"Length", "[", "S0", "]"}], "]"}]}], "]"}]}], ";"}], 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"Bs", "=", 
     RowBox[{"KroneckerProduct", "[", 
      RowBox[{
       RowBox[{"IdentityMatrix", "[", 
        RowBox[{"Length", "[", "D0", "]"}], "]"}], ",", "S1"}], "]"}]}], 
    ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"Ls", "=", 
     RowBox[{
      RowBox[{"KroneckerProduct", "[", 
       RowBox[{"D0", ",", 
        RowBox[{"IdentityMatrix", "[", 
         RowBox[{"Length", "[", "S0", "]"}], "]"}]}], "]"}], "+", 
      RowBox[{"KroneckerProduct", "[", 
       RowBox[{
        RowBox[{"IdentityMatrix", "[", 
         RowBox[{"Length", "[", "D0", "]"}], "]"}], ",", "S0"}], "]"}]}]}], 
    ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"Lv", "=", 
     RowBox[{"Ls", "+", "Bs"}]}], ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"Fv", "=", "Fs"}], ";"}], "\n", 
   RowBox[{
    RowBox[{"Pisv", "=", 
     RowBox[{"IdentityMatrix", "[", 
      RowBox[{"Length", "[", "Ls", "]"}], "]"}]}], ";"}], 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"Pivs", "=", 
     RowBox[{"IdentityMatrix", "[", 
      RowBox[{"Length", "[", "Ls", "]"}], "]"}]}], ";"}], 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"IndepQBDEx", "=", 
     RowBox[{"{", 
      RowBox[{
      "Lv", ",", "Fv", ",", "Pivs", ",", "Bs", ",", "Ls", ",", "Fs", ",", 
       "Pisv"}], "}"}]}], ";"}]}]}]], "Input",
 CellChangeTimes->{{3.6513887030221024`*^9, 3.651388711262474*^9}, {
  3.651388884141021*^9, 3.651388888126932*^9}, {3.6513970441059017`*^9, 
  3.6513970458807507`*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"(*", " ", 
   RowBox[{
   "Parameters", " ", "of", " ", "the", " ", "vacation", " ", "period"}], " ",
    "*)"}], "\[IndentingNewLine]", 
  RowBox[{
   RowBox[{
    RowBox[{
     RowBox[{"sigmaUni", "[", "x_", "]"}], ":=", 
     RowBox[{"If", "[", 
      RowBox[{
       RowBox[{"x", "<", 
        RowBox[{"2", "mean"}]}], ",", 
       RowBox[{"1", "/", 
        RowBox[{"(", 
         RowBox[{"2", " ", "mean"}], ")"}]}], ",", "0"}], "]"}]}], ";"}], 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{
     RowBox[{"sigmaExp", "[", "x_", "]"}], ":=", 
     RowBox[{
      RowBox[{"1", "/", "mean"}], " ", 
      SuperscriptBox["\[ExponentialE]", 
       RowBox[{
        RowBox[{"-", "x"}], "/", "mean"}]]}]}], ";"}], "\[IndentingNewLine]", 
   
   RowBox[{
    RowBox[{
     RowBox[{"sigmaErl", "[", "x_", "]"}], ":=", 
     RowBox[{
      RowBox[{
       SuperscriptBox[
        RowBox[{"(", 
         RowBox[{
          RowBox[{"3", "/", "mean"}], " ", "x"}], ")"}], "2"], "/", "2"}], 
      " ", "*", 
      RowBox[{"3", "/", "mean"}], " ", 
      SuperscriptBox["\[ExponentialE]", 
       RowBox[{
        RowBox[{"-", "x"}], " ", 
        RowBox[{"3", "/", "mean"}]}]]}]}], ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{
     RowBox[{"sigmaWei", "[", "x_", "]"}], ":=", 
     RowBox[{
      RowBox[{"(", 
       RowBox[{
        RowBox[{"1", "/", "2"}], " ", 
        RowBox[{
         RowBox[{"2", "!"}], "/", "mean"}]}], ")"}], 
      SuperscriptBox[
       RowBox[{"(", 
        RowBox[{"x", " ", 
         RowBox[{
          RowBox[{"2", "!"}], "/", "mean"}]}], ")"}], 
       RowBox[{
        RowBox[{"1", "/", "2"}], "-", "1"}]], 
      SuperscriptBox["\[ExponentialE]", 
       RowBox[{"-", 
        SuperscriptBox[
         RowBox[{"(", 
          RowBox[{"x", " ", 
           RowBox[{
            RowBox[{"2", "!"}], "/", "mean"}]}], ")"}], 
         RowBox[{"1", "/", "2"}]]}]]}]}], ";"}], "\[IndentingNewLine]", 
   RowBox[{"(*", " ", 
    RowBox[{"select", " ", "the", " ", "one", " ", "to", " ", "use"}], " ", 
    "*)"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"mean", " ", "=", " ", "5"}], ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"sigma", " ", "=", " ", "sigmaExp"}], ";"}]}]}]], "Input",
 CellChangeTimes->{{3.6513887213136053`*^9, 3.651388740174942*^9}, {
  3.651389380082711*^9, 3.651389383885117*^9}}],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  RowBox[{"(*", " ", 
   RowBox[{
    RowBox[{
     RowBox[{"experiment", " ", "1"}], ":", " ", 
     RowBox[{"in", " ", "case", " ", "of", " ", 
      RowBox[{
       RowBox[{"MAP", "/", "MAP"}], "/", "1"}], " ", "the", " ", "mean", " ", 
      "queue", " ", "length", " ", "is", " ", "insensitive", " ", "to", " ", 
      "the", " ", "distribution", " ", "of", " ", "the", " ", "vacation", " ",
       "time"}]}], ",", " ", 
    RowBox[{
    "it", " ", "depends", " ", "only", " ", "on", " ", "the", " ", "mean", 
     " ", "and", " ", "cv2"}]}], " ", "*)"}], "\[IndentingNewLine]", 
  RowBox[{
   RowBox[{
    RowBox[{
     RowBox[{"{", 
      RowBox[{
      "Lv", ",", "Fv", ",", "Pivs", ",", "Bs", ",", "Ls", ",", "Fs", ",", 
       "Pisv"}], "}"}], "=", "MAPMAP1Ex"}], ";"}], "\[IndentingNewLine]", 
   "\[IndentingNewLine]", 
   RowBox[{"VacationQueueMoments2", "[", 
    RowBox[{
    "Lv", ",", "Fv", ",", "Pivs", ",", "Bs", ",", "Ls", ",", "Fs", ",", 
     "Pisv", ",", " ", "1", ",", " ", "sigmaExp", ",", " ", "50"}], "]"}], 
   "\[IndentingNewLine]", 
   RowBox[{"VacationQueueMoments2", "[", 
    RowBox[{
    "Lv", ",", "Fv", ",", "Pivs", ",", "Bs", ",", "Ls", ",", "Fs", ",", 
     "Pisv", ",", " ", "1", ",", " ", "sigmaUni", ",", " ", "50"}], "]"}], 
   "\[IndentingNewLine]", 
   RowBox[{"VacationQueueMoments2", "[", 
    RowBox[{
    "Lv", ",", "Fv", ",", "Pivs", ",", "Bs", ",", "Ls", ",", "Fs", ",", 
     "Pisv", ",", " ", "1", ",", " ", "sigmaErl", ",", " ", "50"}], "]"}], 
   "\[IndentingNewLine]"}]}]], "Input",
 CellChangeTimes->{{3.65138889368474*^9, 3.65138900546369*^9}, {
  3.651389471268561*^9, 3.6513895159548283`*^9}, {3.6513896072328033`*^9, 
  3.651389614210203*^9}}],

Cell[BoxData[
 RowBox[{"{", 
  "11.136874825944735582557867088693366615762865753662977808382364928446695035\
5212`50.", "}"}]], "Output",
 CellChangeTimes->{{3.651388982984767*^9, 3.651389012668542*^9}, 
   3.651389393620419*^9}],

Cell[BoxData[
 RowBox[{"{", 
  "7.6074630612669114565373408669872210607083082231450089718979594806445336488\
0835`50.", "}"}]], "Output",
 CellChangeTimes->{{3.651388982984767*^9, 3.651389012668542*^9}, 
   3.651389397536748*^9}],

Cell[BoxData[
 RowBox[{"{", 
  "7.6074630612642853562595682060667185217160526342866585593619778908005407737\
6739`50.", "}"}]], "Output",
 CellChangeTimes->{{3.651388982984767*^9, 3.651389012668542*^9}, 
   3.651389465159492*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  RowBox[{"(*", " ", 
   RowBox[{
    RowBox[{
     RowBox[{"experiment", " ", "2"}], ":", " ", 
     RowBox[{
     "in", " ", "case", " ", "of", " ", "the", " ", "QBD", " ", "Queue"}]}], 
    ",", " ", 
    RowBox[{
    "the", " ", "insensitivity", " ", "does", " ", "not", " ", "hold"}]}], 
   " ", "*)"}], "\[IndentingNewLine]", 
  RowBox[{
   RowBox[{
    RowBox[{
     RowBox[{"{", 
      RowBox[{
      "Lv", ",", "Fv", ",", "Pivs", ",", "Bs", ",", "Ls", ",", "Fs", ",", 
       "Pisv"}], "}"}], "=", "QBDQueueEx"}], ";"}], "\[IndentingNewLine]", 
   "\[IndentingNewLine]", 
   RowBox[{"VacationQueueMoments2", "[", 
    RowBox[{
    "Lv", ",", "Fv", ",", "Pivs", ",", "Bs", ",", "Ls", ",", "Fs", ",", 
     "Pisv", ",", " ", "1", ",", " ", "sigmaExp", ",", " ", "50"}], "]"}], 
   "\[IndentingNewLine]", 
   RowBox[{"VacationQueueMoments2", "[", 
    RowBox[{
    "Lv", ",", "Fv", ",", "Pivs", ",", "Bs", ",", "Ls", ",", "Fs", ",", 
     "Pisv", ",", " ", "1", ",", " ", "sigmaUni", ",", " ", "50"}], "]"}], 
   "\[IndentingNewLine]", 
   RowBox[{"VacationQueueMoments2", "[", 
    RowBox[{
    "Lv", ",", "Fv", ",", "Pivs", ",", "Bs", ",", "Ls", ",", "Fs", ",", 
     "Pisv", ",", " ", "1", ",", " ", "sigmaErl", ",", " ", "50"}], "]"}], 
   "\[IndentingNewLine]"}]}]], "Input",
 CellChangeTimes->{{3.6513895234333067`*^9, 3.6513895301844397`*^9}, {
  3.651389584907145*^9, 3.651389602457926*^9}}],

Cell[BoxData[
 RowBox[{"{", 
  "19.355041072410934537292076496934657158609342194752736651893308880324592081\
28431`50.", "}"}]], "Output",
 CellChangeTimes->{3.651389535937742*^9}],

Cell[BoxData[
 RowBox[{"{", 
  "15.140483797963858950419666581444659289384973955463221210895688982544378956\
2037`50.", "}"}]], "Output",
 CellChangeTimes->{3.6513895442368717`*^9}],

Cell[BoxData[
 RowBox[{"{", 
  "15.144037388677583807472133469145487630533062140308291992900654350456871163\
46282`50.", "}"}]], "Output",
 CellChangeTimes->{3.651389574334914*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  RowBox[{"(*", " ", 
   RowBox[{
    RowBox[{
     RowBox[{"experiment", " ", "3"}], ":", " ", 
     RowBox[{
     "in", " ", "case", " ", "of", " ", "the", " ", "QBD", " ", "Queue"}]}], 
    ",", " ", 
    RowBox[{
    "the", " ", "insensitivity", " ", "does", " ", "not", " ", "hold"}]}], 
   " ", "*)"}], "\[IndentingNewLine]", 
  RowBox[{
   RowBox[{
    RowBox[{
     RowBox[{"{", 
      RowBox[{
      "Lv", ",", "Fv", ",", "Pivs", ",", "Bs", ",", "Ls", ",", "Fs", ",", 
       "Pisv"}], "}"}], "=", "GeneralEx"}], ";"}], "\[IndentingNewLine]", 
   "\[IndentingNewLine]", 
   RowBox[{"VacationQueueMoments2", "[", 
    RowBox[{
    "Lv", ",", "Fv", ",", "Pivs", ",", "Bs", ",", "Ls", ",", "Fs", ",", 
     "Pisv", ",", " ", "1", ",", " ", "sigmaExp", ",", " ", "50"}], "]"}], 
   "\[IndentingNewLine]", 
   RowBox[{"VacationQueueMoments2", "[", 
    RowBox[{
    "Lv", ",", "Fv", ",", "Pivs", ",", "Bs", ",", "Ls", ",", "Fs", ",", 
     "Pisv", ",", " ", "1", ",", " ", "sigmaUni", ",", " ", "50"}], "]"}], 
   "\[IndentingNewLine]", 
   RowBox[{"VacationQueueMoments2", "[", 
    RowBox[{
    "Lv", ",", "Fv", ",", "Pivs", ",", "Bs", ",", "Ls", ",", "Fs", ",", 
     "Pisv", ",", " ", "1", ",", " ", "sigmaErl", ",", " ", "50"}], 
    "]"}]}]}]], "Input",
 CellChangeTimes->{{3.651389622825061*^9, 3.6513896288416862`*^9}, {
  3.651390526733838*^9, 3.651390593283505*^9}, {3.65139707069051*^9, 
  3.651397072560731*^9}}],

Cell[BoxData[
 RowBox[{"{", 
  "19.300172803386804260542057765409663720194306024535137247508890983273912252\
26916`50.", "}"}]], "Output",
 CellChangeTimes->{
  3.651389639632337*^9, 3.6513897245910597`*^9, 3.651389783879426*^9, 
   3.6513904577541103`*^9, 3.651390536703183*^9, 3.651390571795879*^9, 
   3.651390617500031*^9, 3.651396513426116*^9, {3.6513970770457697`*^9, 
   3.65139709270345*^9}}],

Cell[BoxData[
 RowBox[{"{", 
  "15.134145013634482602023806144117682595267477148998893707722951199788749247\
71852`50.", "}"}]], "Output",
 CellChangeTimes->{
  3.651389639632337*^9, 3.6513897245910597`*^9, 3.651389783879426*^9, 
   3.6513904577541103`*^9, 3.651390536703183*^9, 3.651390571795879*^9, 
   3.651390617500031*^9, 3.651396513426116*^9, {3.6513970770457697`*^9, 
   3.651397103840721*^9}}],

Cell[BoxData[
 RowBox[{"{", 
  "15.135560816557978725784679426787740101754593852434118450261106703096683155\
39504`50.", "}"}]], "Output",
 CellChangeTimes->{3.651389639632337*^9, 3.6513897245910597`*^9, 
  3.651389783879426*^9, 3.6513904577541103`*^9, 3.651390536703183*^9, 
  3.651390571795879*^9, 3.651390617500031*^9, 3.651396513426116*^9, 
  3.6513970770457697`*^9, 3.651397108386476*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  RowBox[{"(*", " ", 
   RowBox[{
    RowBox[{
     RowBox[{"experiment", " ", "4"}], ":", " ", 
     RowBox[{
     "in", " ", "case", " ", "of", " ", "the", " ", "independent", " ", "QBD",
       " ", "Queue"}]}], ",", " ", 
    RowBox[{
    "the", " ", "insensitivity", " ", "does", " ", "not", " ", "hold"}]}], 
   " ", "*)"}], "\[IndentingNewLine]", 
  RowBox[{
   RowBox[{
    RowBox[{
     RowBox[{"{", 
      RowBox[{
      "Lv", ",", "Fv", ",", "Pivs", ",", "Bs", ",", "Ls", ",", "Fs", ",", 
       "Pisv"}], "}"}], "=", "IndepQBDEx"}], ";"}], "\[IndentingNewLine]", 
   "\[IndentingNewLine]", 
   RowBox[{"VacationQueueMoments2", "[", 
    RowBox[{
    "Lv", ",", "Fv", ",", "Pivs", ",", "Bs", ",", "Ls", ",", "Fs", ",", 
     "Pisv", ",", " ", "1", ",", " ", "sigmaExp", ",", " ", "150"}], "]"}], 
   "\[IndentingNewLine]", 
   RowBox[{"VacationQueueMoments2", "[", 
    RowBox[{
    "Lv", ",", "Fv", ",", "Pivs", ",", "Bs", ",", "Ls", ",", "Fs", ",", 
     "Pisv", ",", " ", "1", ",", " ", "sigmaUni", ",", " ", "150"}], "]"}], 
   "\[IndentingNewLine]", 
   RowBox[{"VacationQueueMoments2", "[", 
    RowBox[{
    "Lv", ",", "Fv", ",", "Pivs", ",", "Bs", ",", "Ls", ",", "Fs", ",", 
     "Pisv", ",", " ", "1", ",", " ", "sigmaErl", ",", " ", "150"}], "]"}], 
   "\[IndentingNewLine]"}]}]], "Input",
 CellChangeTimes->{{3.6513907053206873`*^9, 3.651390719952927*^9}, {
  3.6513972122238817`*^9, 3.651397215143358*^9}, {3.651397365800758*^9, 
  3.651397366764565*^9}}],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
  "11.135816084614006409607734831874329378396606259450605668975121543190448628\
972531145061554322679910068396760792053904169145970605073507449759371634992022\
10830927822130598090873`150.15051499783198", "+", 
   RowBox[{
   "3.395033037654213740345659321052991864264431182913785402130110201480485016\
84134634627209635965673927145430058870153896687382624`101.63463695299946*^-\
48", " ", "\[ImaginaryI]"}]}], "}"}]], "Output",
 CellChangeTimes->{3.6513907288106813`*^9, 3.651393833003841*^9, 
  3.6513956861760902`*^9, 3.6513958065093822`*^9, 3.65139720420392*^9, 
  3.651397358889098*^9, 3.651397664691169*^9}],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
  "7.6041432169071102614429114401436369557356438091388026313494496523363690549\
065810794666799054234367107667113417620850544733123986975329759256660296343851\
7852973042454940992417`150.15051499783198", "+", 
   RowBox[{
   "1.739237933120260080551690230486955533857344865110811351322772051202246344\
35065305172887276896526977277477920862683959171999372`101.50982370892551*^-\
48", " ", "\[ImaginaryI]"}]}], "}"}]], "Output",
 CellChangeTimes->{3.6513907288106813`*^9, 3.651393833003841*^9, 
  3.6513956861760902`*^9, 3.6513958065093822`*^9, 3.65139720420392*^9, 
  3.651397358889098*^9, 3.65139801195743*^9}],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
  "7.6043894710906904163704457091759911973236726307036841914949635560977618130\
334783713124649732781371518523217676758098904477839456886421996762680737797130\
7256459355735805478482`150.150514997832", "-", 
   RowBox[{
   "1.438940612560769125953017618855432245935976068770692744433850343263366301\
60778754819068854801450458321373478936105946341485`98.42749351623638*^-51", 
    " ", "\[ImaginaryI]"}]}], "}"}]], "Output",
 CellChangeTimes->{3.6513907288106813`*^9, 3.651393833003841*^9, 
  3.6513956861760902`*^9, 3.6513958065093822`*^9, 3.65139720420392*^9, 
  3.651397358889098*^9, 3.651399563331358*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  RowBox[{"(*", " ", 
   RowBox[{
    RowBox[{"experiment", " ", "5"}], ":", " ", 
    RowBox[{"check", " ", "linearity"}]}], " ", "*)"}], "\[IndentingNewLine]", 
  RowBox[{
   RowBox[{
    RowBox[{
     RowBox[{"{", 
      RowBox[{
      "Lv", ",", "Fv", ",", "Pivs", ",", "Bs", ",", "Ls", ",", "Fs", ",", 
       "Pisv"}], "}"}], "=", "MAPMAP1Ex"}], ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"mean", " ", "=", " ", "1"}], ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"m1", "=", 
     RowBox[{
      RowBox[{"VacationQueueMoments2", "[", 
       RowBox[{
       "Lv", ",", "Fv", ",", "Pivs", ",", "Bs", ",", "Ls", ",", "Fs", ",", 
        "Pisv", ",", " ", "1", ",", " ", "sigmaUni", ",", " ", "50"}], "]"}], 
      "[", 
      RowBox[{"[", "1", "]"}], "]"}]}], ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"mean", " ", "=", " ", "2"}], ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"m2", "=", 
     RowBox[{
      RowBox[{"VacationQueueMoments2", "[", 
       RowBox[{
       "Lv", ",", "Fv", ",", "Pivs", ",", "Bs", ",", "Ls", ",", "Fs", ",", 
        "Pisv", ",", " ", "1", ",", " ", "sigmaUni", ",", " ", "50"}], "]"}], 
      "[", 
      RowBox[{"[", "1", "]"}], "]"}]}], ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"mean", " ", "=", " ", "3"}], ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"m3", "=", 
     RowBox[{
      RowBox[{"VacationQueueMoments2", "[", 
       RowBox[{
       "Lv", ",", "Fv", ",", "Pivs", ",", "Bs", ",", "Ls", ",", "Fs", ",", 
        "Pisv", ",", " ", "1", ",", " ", "sigmaUni", ",", " ", "50"}], "]"}], 
      "[", 
      RowBox[{"[", "1", "]"}], "]"}]}], ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"mean", " ", "=", " ", "4"}], ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"m4", "=", 
     RowBox[{
      RowBox[{"VacationQueueMoments2", "[", 
       RowBox[{
       "Lv", ",", "Fv", ",", "Pivs", ",", "Bs", ",", "Ls", ",", "Fs", ",", 
        "Pisv", ",", " ", "1", ",", " ", "sigmaUni", ",", " ", "50"}], "]"}], 
      "[", 
      RowBox[{"[", "1", "]"}], "]"}]}], ";"}], "\[IndentingNewLine]", 
   RowBox[{"Differences", "[", 
    RowBox[{"{", 
     RowBox[{"m1", ",", "m2", ",", "m3", ",", "m4"}], "}"}], "]"}], 
   "\[IndentingNewLine]"}]}]], "Input",
 CellChangeTimes->{{3.651395351154158*^9, 3.65139562372928*^9}}],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
  "1.4117647058812131631320848177324462911422753911626993663579448572196684930\
4695`49.42282549614619", ",", 
   "1.411764705880583368652839031691578704760010637117266328190388101741101965\
04641`49.238279640334085", ",", 
   "1.411764705879953241074909755895906008211063361487492871593786144453149323\
92453`49.109174535858"}], "}"}]], "Output",
 CellChangeTimes->{{3.651395557425832*^9, 3.651395634480047*^9}}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  RowBox[{"(*", " ", 
   RowBox[{
    RowBox[{"experiment", " ", "6"}], ":", " ", 
    RowBox[{"check", " ", "linearity"}]}], " ", "*)"}], "\[IndentingNewLine]", 
  RowBox[{
   RowBox[{
    RowBox[{
     RowBox[{"{", 
      RowBox[{
      "Lv", ",", "Fv", ",", "Pivs", ",", "Bs", ",", "Ls", ",", "Fs", ",", 
       "Pisv"}], "}"}], "=", "IndepQBDEx"}], ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"mean", " ", "=", " ", "1"}], ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"m1", "=", 
     RowBox[{
      RowBox[{"VacationQueueMoments2", "[", 
       RowBox[{
       "Lv", ",", "Fv", ",", "Pivs", ",", "Bs", ",", "Ls", ",", "Fs", ",", 
        "Pisv", ",", " ", "1", ",", " ", "sigmaUni", ",", " ", "50"}], "]"}], 
      "[", 
      RowBox[{"[", "1", "]"}], "]"}]}], ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"mean", " ", "=", " ", "2"}], ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"m2", "=", 
     RowBox[{
      RowBox[{"VacationQueueMoments2", "[", 
       RowBox[{
       "Lv", ",", "Fv", ",", "Pivs", ",", "Bs", ",", "Ls", ",", "Fs", ",", 
        "Pisv", ",", " ", "1", ",", " ", "sigmaUni", ",", " ", "50"}], "]"}], 
      "[", 
      RowBox[{"[", "1", "]"}], "]"}]}], ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"mean", " ", "=", " ", "3"}], ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"m3", "=", 
     RowBox[{
      RowBox[{"VacationQueueMoments2", "[", 
       RowBox[{
       "Lv", ",", "Fv", ",", "Pivs", ",", "Bs", ",", "Ls", ",", "Fs", ",", 
        "Pisv", ",", " ", "1", ",", " ", "sigmaUni", ",", " ", "50"}], "]"}], 
      "[", 
      RowBox[{"[", "1", "]"}], "]"}]}], ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"mean", " ", "=", " ", "4"}], ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"m4", "=", 
     RowBox[{
      RowBox[{"VacationQueueMoments2", "[", 
       RowBox[{
       "Lv", ",", "Fv", ",", "Pivs", ",", "Bs", ",", "Ls", ",", "Fs", ",", 
        "Pisv", ",", " ", "1", ",", " ", "sigmaUni", ",", " ", "50"}], "]"}], 
      "[", 
      RowBox[{"[", "1", "]"}], "]"}]}], ";"}], "\[IndentingNewLine]", 
   RowBox[{"Differences", "[", 
    RowBox[{"{", 
     RowBox[{"m1", ",", "m2", ",", "m3", ",", "m4"}], "}"}], "]"}], 
   "\[IndentingNewLine]"}]}]], "Input",
 CellChangeTimes->{{3.6513956283995667`*^9, 3.6513956448051777`*^9}}],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
  "1.4117647058812131631320848177324462911422753911626993663579448572196684930\
4695`49.42282549614619", ",", 
   "1.411764705880583368652839031691578704760010637117266328190388101741101965\
04641`49.238279640334085", ",", 
   "1.411764705879953241074909755895906008211063361487492871593786144453149323\
92453`49.109174535858"}], "}"}]], "Output",
 CellChangeTimes->{3.651395656180835*^9, 3.6513958841805553`*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  RowBox[{"(*", " ", 
   RowBox[{
    RowBox[{"experiment", " ", "7"}], ":", " ", 
    RowBox[{"check", " ", "linearity"}]}], " ", "*)"}], "\[IndentingNewLine]", 
  RowBox[{
   RowBox[{
    RowBox[{
     RowBox[{"{", 
      RowBox[{
      "Lv", ",", "Fv", ",", "Pivs", ",", "Bs", ",", "Ls", ",", "Fs", ",", 
       "Pisv"}], "}"}], "=", "QBDQueueEx"}], ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"mean", " ", "=", " ", "1"}], ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"m1", "=", 
     RowBox[{
      RowBox[{"VacationQueueMoments2", "[", 
       RowBox[{
       "Lv", ",", "Fv", ",", "Pivs", ",", "Bs", ",", "Ls", ",", "Fs", ",", 
        "Pisv", ",", " ", "1", ",", " ", "sigmaUni", ",", " ", "50"}], "]"}], 
      "[", 
      RowBox[{"[", "1", "]"}], "]"}]}], ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"mean", " ", "=", " ", "2"}], ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"m2", "=", 
     RowBox[{
      RowBox[{"VacationQueueMoments2", "[", 
       RowBox[{
       "Lv", ",", "Fv", ",", "Pivs", ",", "Bs", ",", "Ls", ",", "Fs", ",", 
        "Pisv", ",", " ", "1", ",", " ", "sigmaUni", ",", " ", "50"}], "]"}], 
      "[", 
      RowBox[{"[", "1", "]"}], "]"}]}], ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"mean", " ", "=", " ", "3"}], ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"m3", "=", 
     RowBox[{
      RowBox[{"VacationQueueMoments2", "[", 
       RowBox[{
       "Lv", ",", "Fv", ",", "Pivs", ",", "Bs", ",", "Ls", ",", "Fs", ",", 
        "Pisv", ",", " ", "1", ",", " ", "sigmaUni", ",", " ", "50"}], "]"}], 
      "[", 
      RowBox[{"[", "1", "]"}], "]"}]}], ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"mean", " ", "=", " ", "4"}], ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"m4", "=", 
     RowBox[{
      RowBox[{"VacationQueueMoments2", "[", 
       RowBox[{
       "Lv", ",", "Fv", ",", "Pivs", ",", "Bs", ",", "Ls", ",", "Fs", ",", 
        "Pisv", ",", " ", "1", ",", " ", "sigmaUni", ",", " ", "50"}], "]"}], 
      "[", 
      RowBox[{"[", "1", "]"}], "]"}]}], ";"}], "\[IndentingNewLine]", 
   RowBox[{"Differences", "[", 
    RowBox[{"{", 
     RowBox[{"m1", ",", "m2", ",", "m3", ",", "m4"}], "}"}], "]"}], 
   "\[IndentingNewLine]"}]}]], "Input",
 CellChangeTimes->{{3.651395727750752*^9, 3.651395740125799*^9}}],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
  "1.7072936541196017861459563106357221333448500052332264403878193285201811985\
8005`48.966440627803465", ",", 
   "1.691422382382702451367566025910622979490458151232444569300995042055600280\
54702`48.88893489129679", ",", 
   "1.687383766479189266539248748904621037656771900646101633195492502995410210\
87661`48.825433442925444"}], "}"}]], "Output",
 CellChangeTimes->{3.651395913731357*^9}]
}, Open  ]],

Cell[BoxData[
 RowBox[{
  RowBox[{
   RowBox[{"VacationQueueGenerator2", "[", 
    RowBox[{
    "Lv_", ",", "Fv_", ",", "Pivs_", ",", "Bs_", ",", "Ls_", ",", "Fs_", ",", 
     "Pisv_", ",", "z_", ",", "sigma_", ",", 
     RowBox[{"WorkingPrec_:", "120"}]}], "]"}], ":=", 
   RowBox[{"Module", "[", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{
      "G", ",", "SigmaStar", ",", "Az", ",", "Ac", ",", "M", ",", "\[Beta]", 
       ",", "c", ",", "stvphase", ",", "stsphase", ",", "sigAc", ",", 
       "normc"}], "}"}], ",", "\[IndentingNewLine]", 
     RowBox[{
      RowBox[{"G", "=", 
       RowBox[{"N", "[", 
        RowBox[{
         RowBox[{"QBDFundamentalMatrices", "[", 
          RowBox[{"Bs", ",", "Ls", ",", "Fs", ",", "\"\<G\>\"", ",", 
           SuperscriptBox["10", 
            RowBox[{"-", "WorkingPrec"}]]}], "]"}], ",", "WorkingPrec"}], 
        "]"}]}], ";", "\[IndentingNewLine]", 
      RowBox[{
       RowBox[{"Az", "[", "zz_", "]"}], ":=", 
       RowBox[{"N", "[", 
        RowBox[{
         RowBox[{"Lv", "+", 
          RowBox[{"zz", " ", "Fv"}]}], ",", "WorkingPrec"}], "]"}]}], ";", 
      "\[IndentingNewLine]", 
      RowBox[{
       RowBox[{"SigmaStar", "[", 
        RowBox[{"pre_", ",", "A_", ",", "post_"}], "]"}], ":=", 
       RowBox[{"Quiet", "[", 
        RowBox[{"NIntegrate", "[", 
         RowBox[{
          RowBox[{
           RowBox[{"sigma", "[", "x", "]"}], "*", 
           RowBox[{"(", 
            RowBox[{"pre", ".", 
             RowBox[{"MatrixExp", "[", 
              RowBox[{"A", " ", "x"}], "]"}], ".", "post"}], ")"}]}], ",", 
          RowBox[{"{", 
           RowBox[{"x", ",", "0", ",", "\[Infinity]"}], "}"}], ",", 
          RowBox[{"WorkingPrecision", "\[Rule]", "WorkingPrec"}]}], "]"}], 
        "]"}]}], ";", "\[IndentingNewLine]", 
      RowBox[{"(*", 
       RowBox[{
       "1.", " ", "calculate", " ", "the", " ", "steady", " ", "state", " ", 
        "distribution", " ", "at", " ", "the", " ", "beginning", " ", "of", 
        " ", "the", " ", "cycles"}], "*)"}], "\[IndentingNewLine]", 
      RowBox[{"If", "[", 
       RowBox[{
        RowBox[{
         RowBox[{"Norm", "[", 
          RowBox[{
           RowBox[{
            RowBox[{"(", 
             RowBox[{"Lv", "+", 
              RowBox[{"Fv", ".", "G"}]}], ")"}], ".", "G"}], "-", 
           RowBox[{"G", ".", 
            RowBox[{"(", 
             RowBox[{"Lv", "+", 
              RowBox[{"Fv", ".", "G"}]}], ")"}]}]}], "]"}], "<", 
         SuperscriptBox["10", 
          RowBox[{
           RowBox[{"-", "WorkingPrec"}], "/", "2"}]]}], ",", 
        "\[IndentingNewLine]", 
        RowBox[{"\[Beta]", "=", 
         RowBox[{"DTMCSolve", "[", "G", "]"}]}], ",", "\[IndentingNewLine]", 
        RowBox[{
         RowBox[{"M", "=", 
          RowBox[{"SigmaStar", "[", 
           RowBox[{
            RowBox[{"KroneckerProduct", "[", 
             RowBox[{
              RowBox[{"IdentityMatrix", "[", 
               RowBox[{
                RowBox[{"Dimensions", "[", "Ls", "]"}], "[", 
                RowBox[{"[", "1", "]"}], "]"}], "]"}], ",", "Pisv"}], "]"}], 
            ",", 
            RowBox[{
             RowBox[{"N", "[", 
              RowBox[{
               RowBox[{"KroneckerProduct", "[", 
                RowBox[{
                 RowBox[{"IdentityMatrix", "[", 
                  RowBox[{
                   RowBox[{"Dimensions", "[", "G", "]"}], "[", 
                   RowBox[{"[", "1", "]"}], "]"}], "]"}], ",", "Lv"}], "]"}], 
               ",", "WorkingPrec"}], "]"}], "+", 
             RowBox[{"KroneckerProduct", "[", 
              RowBox[{
               RowBox[{"Transpose", "[", "G", "]"}], ",", "Fv"}], "]"}]}], 
            ",", 
            RowBox[{"ArrayReshape", "[", 
             RowBox[{
              RowBox[{"Transpose", "[", "Pivs", "]"}], ",", 
              RowBox[{"{", 
               RowBox[{
                RowBox[{
                 RowBox[{
                  RowBox[{"Dimensions", "[", "Pivs", "]"}], "[", 
                  RowBox[{"[", "1", "]"}], "]"}], 
                 RowBox[{
                  RowBox[{"Dimensions", "[", "Pivs", "]"}], "[", 
                  RowBox[{"[", "2", "]"}], "]"}]}], ",", "1"}], "}"}]}], 
             "]"}]}], "]"}]}], ";", "\[IndentingNewLine]", 
         RowBox[{"M", "=", 
          RowBox[{"Transpose", "[", 
           RowBox[{"ArrayReshape", "[", 
            RowBox[{"M", ",", 
             RowBox[{"{", 
              RowBox[{
               RowBox[{
                RowBox[{"Dimensions", "[", "Ls", "]"}], "[", 
                RowBox[{"[", "1", "]"}], "]"}], ",", 
               RowBox[{
                RowBox[{"Dimensions", "[", "Ls", "]"}], "[", 
                RowBox[{"[", "2", "]"}], "]"}]}], "}"}]}], "]"}], "]"}]}], 
         ";", "\[IndentingNewLine]", 
         RowBox[{"\[Beta]", " ", "=", " ", 
          RowBox[{"DRPSolve", "[", "M", "]"}]}]}]}], "]"}], ";", 
      "\[IndentingNewLine]", 
      RowBox[{"(*", " ", 
       RowBox[{
       "2.", " ", "calculate", " ", "the", " ", "normalization", " ", 
        "constant"}], " ", "*)"}], "\[IndentingNewLine]", 
      RowBox[{"c", "=", 
       RowBox[{"N", "[", 
        RowBox[{
         RowBox[{"1", "-", 
          SuperscriptBox["10", 
           RowBox[{
            RowBox[{"-", "WorkingPrec"}], " ", "/", "4"}]]}], ",", 
         "WorkingPrec"}], "]"}]}], ";", "\[IndentingNewLine]", 
      RowBox[{"Ac", " ", "=", " ", 
       RowBox[{"Az", "[", "c", "]"}]}], ";", "\[IndentingNewLine]", 
      RowBox[{"sigAc", " ", "=", " ", 
       RowBox[{"SigmaStar", "[", 
        RowBox[{
         RowBox[{"\[Beta]", ".", "Pisv"}], ",", "Ac", ",", 
         RowBox[{"IdentityMatrix", "[", 
          RowBox[{"Length", "[", "Ac", "]"}], "]"}]}], "]"}]}], ";", 
      "\[IndentingNewLine]", 
      RowBox[{"stvphase", "=", 
       RowBox[{
        RowBox[{"(", 
         RowBox[{
          RowBox[{"\[Beta]", ".", "Pisv"}], "-", "sigAc"}], ")"}], ".", 
        RowBox[{"Inverse", "[", 
         RowBox[{"-", "Ac"}], "]"}]}]}], ";", "\[IndentingNewLine]", 
      RowBox[{"stsphase", "=", 
       RowBox[{
        RowBox[{"(", 
         RowBox[{
          RowBox[{"-", "\[Beta]"}], "+", 
          RowBox[{"sigAc", ".", "Pivs"}]}], ")"}], ".", 
        RowBox[{"Inverse", "[", 
         RowBox[{
          RowBox[{
           RowBox[{"-", "Bs"}], "/", "c"}], "-", "Ls", "-", 
          RowBox[{"Fs", " ", "c"}]}], "]"}]}]}], ";", "\[IndentingNewLine]", 
      RowBox[{"normc", "=", 
       RowBox[{
        RowBox[{"Total", "[", "stvphase", "]"}], "+", 
        RowBox[{"Total", "[", "stsphase", "]"}]}]}], ";", 
      "\[IndentingNewLine]", 
      RowBox[{"(*", " ", 
       RowBox[{
       "3.", " ", "calculate", " ", "the", " ", "generating", " ", "function",
         " ", "at", " ", "the", " ", "requested", " ", "point"}], " ", "*)"}],
       "\[IndentingNewLine]", 
      RowBox[{"Ac", " ", "=", " ", 
       RowBox[{"Az", "[", "z", "]"}]}], ";", "\[IndentingNewLine]", 
      RowBox[{"sigAc", " ", "=", " ", 
       RowBox[{"SigmaStar", "[", 
        RowBox[{
         RowBox[{"\[Beta]", ".", "Pisv"}], ",", "Ac", ",", 
         RowBox[{"IdentityMatrix", "[", 
          RowBox[{"Length", "[", "Ac", "]"}], "]"}]}], "]"}]}], ";", 
      "\[IndentingNewLine]", 
      RowBox[{"stvphase", "=", 
       RowBox[{
        RowBox[{"(", 
         RowBox[{
          RowBox[{"\[Beta]", ".", "Pisv"}], "-", "sigAc"}], ")"}], ".", 
        RowBox[{"Inverse", "[", 
         RowBox[{"-", "Ac"}], "]"}]}]}], ";", "\[IndentingNewLine]", 
      RowBox[{"stsphase", "=", 
       RowBox[{
        RowBox[{"(", 
         RowBox[{
          RowBox[{"-", "\[Beta]"}], "+", 
          RowBox[{"sigAc", ".", "Pivs"}]}], ")"}], ".", 
        RowBox[{"Inverse", "[", 
         RowBox[{
          RowBox[{
           RowBox[{"-", "Bs"}], "/", "z"}], "-", "Ls", "-", 
          RowBox[{"Fs", " ", "z"}]}], "]"}]}]}], ";", "\[IndentingNewLine]", 
      RowBox[{"Return", "[", 
       RowBox[{
        RowBox[{"(", 
         RowBox[{
          RowBox[{"Total", "[", "stvphase", "]"}], "+", 
          RowBox[{"Total", "[", "stsphase", "]"}]}], ")"}], "/", "normc"}], 
       "]"}], ";"}]}], "\[IndentingNewLine]", "]"}]}], ";"}]], "Input",
 CellChangeTimes->{{3.650273128624832*^9, 3.6502735733149443`*^9}, {
  3.650273668437848*^9, 3.6502737238076077`*^9}, {3.65027393415989*^9, 
  3.6502739413693*^9}, {3.6502741766145563`*^9, 3.650274178809667*^9}, {
  3.651379846589666*^9, 3.651379853757113*^9}, {3.651379906904408*^9, 
  3.6513799070997334`*^9}, {3.651380764058754*^9, 3.651380786543116*^9}, {
  3.651380859961578*^9, 3.651380906186708*^9}, {3.651380947959963*^9, 
  3.651381010646247*^9}, {3.651381044350103*^9, 3.651381073274824*^9}, {
  3.651381127831128*^9, 3.651381158806855*^9}, {3.651381254230571*^9, 
  3.65138126700636*^9}, {3.651381464145163*^9, 3.6513814863464613`*^9}, {
  3.651381531351516*^9, 3.6513815316098824`*^9}, {3.651382100784626*^9, 
  3.651382177171276*^9}, {3.651382250673381*^9, 3.651382335888479*^9}, {
  3.6513825143896646`*^9, 3.651382606397653*^9}, {3.651382903340233*^9, 
  3.651382916515155*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{
   RowBox[{"VacationQueueMoments2", "[", 
    RowBox[{
    "Lv_", ",", "Fv_", ",", "Pivs_", ",", "Bs_", ",", "Ls_", ",", "Fs_", ",", 
     "Pisv_", ",", "n_", ",", "sigma_", ",", 
     RowBox[{"WorkingPrec_:", "120"}]}], "]"}], ":=", 
   RowBox[{"Module", "[", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{
      "G", ",", "SigmaStar", ",", "SigmaStarDiff", ",", "Az", ",", "Ac", ",", 
       "M", ",", "\[Beta]", ",", "c", ",", "stvphase", ",", "stsphase", ",", 
       "sigAc", ",", "normc", ",", "fmoms"}], "}"}], ",", 
     "\[IndentingNewLine]", 
     RowBox[{
      RowBox[{"G", "=", 
       RowBox[{"N", "[", 
        RowBox[{
         RowBox[{"QBDFundamentalMatrices", "[", 
          RowBox[{"Bs", ",", "Ls", ",", "Fs", ",", "\"\<G\>\"", ",", 
           SuperscriptBox["10", 
            RowBox[{"-", "WorkingPrec"}]]}], "]"}], ",", "WorkingPrec"}], 
        "]"}]}], ";", "\[IndentingNewLine]", 
      RowBox[{
       RowBox[{"Az", "[", "zz_", "]"}], ":=", 
       RowBox[{"N", "[", 
        RowBox[{
         RowBox[{"Lv", "+", 
          RowBox[{"zz", " ", "Fv"}]}], ",", "WorkingPrec"}], "]"}]}], ";", 
      "\[IndentingNewLine]", 
      RowBox[{
       RowBox[{"SigmaStar", "[", 
        RowBox[{"pre_", ",", "A_", ",", "post_"}], "]"}], ":=", 
       RowBox[{"Quiet", "[", 
        RowBox[{"NIntegrate", "[", 
         RowBox[{
          RowBox[{
           RowBox[{"sigma", "[", "x", "]"}], "*", 
           RowBox[{"(", 
            RowBox[{"pre", ".", 
             RowBox[{"MatrixExp", "[", 
              RowBox[{"A", " ", "x"}], "]"}], ".", "post"}], ")"}]}], ",", 
          RowBox[{"{", 
           RowBox[{"x", ",", "0", ",", "\[Infinity]"}], "}"}], ",", 
          RowBox[{"WorkingPrecision", "\[Rule]", "WorkingPrec"}]}], "]"}], 
        "]"}]}], ";", "\[IndentingNewLine]", 
      RowBox[{"(*", 
       RowBox[{
       "1.", " ", "calculate", " ", "the", " ", "steady", " ", "state", " ", 
        "distribution", " ", "at", " ", "the", " ", "beginning", " ", "of", 
        " ", "the", " ", "cycles"}], "*)"}], "\[IndentingNewLine]", 
      RowBox[{"If", "[", 
       RowBox[{
        RowBox[{
         RowBox[{
          RowBox[{"Dimensions", "[", "Lv", "]"}], "\[Equal]", 
          RowBox[{"Dimensions", "[", "Ls", "]"}]}], " ", "&&", 
         RowBox[{"Pivs", "\[Equal]", 
          RowBox[{"IdentityMatrix", "[", 
           RowBox[{"Length", "[", "Ls", "]"}], "]"}]}], " ", "&&", 
         RowBox[{"Pisv", "\[Equal]", 
          RowBox[{"IdentityMatrix", "[", 
           RowBox[{"Length", "[", "Lv", "]"}], "]"}]}], "&&", 
         RowBox[{
          RowBox[{"Norm", "[", 
           RowBox[{
            RowBox[{
             RowBox[{"(", 
              RowBox[{"Lv", "+", 
               RowBox[{"Fv", ".", "G"}]}], ")"}], ".", "G"}], "-", 
            RowBox[{"G", ".", 
             RowBox[{"(", 
              RowBox[{"Lv", "+", 
               RowBox[{"Fv", ".", "G"}]}], ")"}]}]}], "]"}], "<", 
          SuperscriptBox["10", 
           RowBox[{
            RowBox[{"-", "WorkingPrec"}], "/", "2"}]]}]}], ",", 
        "\[IndentingNewLine]", 
        RowBox[{"\[Beta]", "=", 
         RowBox[{"DTMCSolve", "[", "G", "]"}]}], ",", "\[IndentingNewLine]", 
        RowBox[{
         RowBox[{"M", "=", 
          RowBox[{"SigmaStar", "[", 
           RowBox[{
            RowBox[{"KroneckerProduct", "[", 
             RowBox[{
              RowBox[{"IdentityMatrix", "[", 
               RowBox[{
                RowBox[{"Dimensions", "[", "Ls", "]"}], "[", 
                RowBox[{"[", "1", "]"}], "]"}], "]"}], ",", "Pisv"}], "]"}], 
            ",", 
            RowBox[{
             RowBox[{"N", "[", 
              RowBox[{
               RowBox[{"KroneckerProduct", "[", 
                RowBox[{
                 RowBox[{"IdentityMatrix", "[", 
                  RowBox[{
                   RowBox[{"Dimensions", "[", "G", "]"}], "[", 
                   RowBox[{"[", "1", "]"}], "]"}], "]"}], ",", "Lv"}], "]"}], 
               ",", "WorkingPrec"}], "]"}], "+", 
             RowBox[{"KroneckerProduct", "[", 
              RowBox[{
               RowBox[{"Transpose", "[", "G", "]"}], ",", "Fv"}], "]"}]}], 
            ",", 
            RowBox[{"ArrayReshape", "[", 
             RowBox[{
              RowBox[{"Transpose", "[", "Pivs", "]"}], ",", 
              RowBox[{"{", 
               RowBox[{
                RowBox[{
                 RowBox[{
                  RowBox[{"Dimensions", "[", "Pivs", "]"}], "[", 
                  RowBox[{"[", "1", "]"}], "]"}], 
                 RowBox[{
                  RowBox[{"Dimensions", "[", "Pivs", "]"}], "[", 
                  RowBox[{"[", "2", "]"}], "]"}]}], ",", "1"}], "}"}]}], 
             "]"}]}], "]"}]}], ";", "\[IndentingNewLine]", 
         RowBox[{"M", "=", 
          RowBox[{"Transpose", "[", 
           RowBox[{"ArrayReshape", "[", 
            RowBox[{"M", ",", 
             RowBox[{"{", 
              RowBox[{
               RowBox[{
                RowBox[{"Dimensions", "[", "Ls", "]"}], "[", 
                RowBox[{"[", "1", "]"}], "]"}], ",", 
               RowBox[{
                RowBox[{"Dimensions", "[", "Ls", "]"}], "[", 
                RowBox[{"[", "2", "]"}], "]"}]}], "}"}]}], "]"}], "]"}]}], 
         ";", "\[IndentingNewLine]", 
         RowBox[{"\[Beta]", " ", "=", " ", 
          RowBox[{"DRPSolve", "[", "M", "]"}]}]}]}], "]"}], ";", 
      "\[IndentingNewLine]", 
      RowBox[{"Print", "[", 
       RowBox[{"N", "[", "\[Beta]", "]"}], "]"}], ";", "\[IndentingNewLine]", 
      
      RowBox[{"(*", " ", 
       RowBox[{
       "2.", " ", "calculate", " ", "the", " ", "normalization", " ", 
        "constant"}], " ", "*)"}], "\[IndentingNewLine]", 
      RowBox[{"c", "=", 
       RowBox[{"N", "[", 
        RowBox[{
         RowBox[{"1", "-", 
          SuperscriptBox["10", 
           RowBox[{
            RowBox[{"-", "WorkingPrec"}], " ", "/", "4"}]]}], ",", 
         "WorkingPrec"}], "]"}]}], ";", "\[IndentingNewLine]", 
      RowBox[{"Ac", " ", "=", " ", 
       RowBox[{"Az", "[", "c", "]"}]}], ";", "\[IndentingNewLine]", 
      RowBox[{"sigAc", " ", "=", " ", 
       RowBox[{"SigmaStar", "[", 
        RowBox[{
         RowBox[{"\[Beta]", ".", "Pisv"}], ",", "Ac", ",", 
         RowBox[{"IdentityMatrix", "[", 
          RowBox[{"Length", "[", "Ac", "]"}], "]"}]}], "]"}]}], ";", 
      "\[IndentingNewLine]", 
      RowBox[{"stvphase", "=", 
       RowBox[{
        RowBox[{"(", 
         RowBox[{
          RowBox[{"\[Beta]", ".", "Pisv"}], "-", "sigAc"}], ")"}], ".", 
        RowBox[{"Inverse", "[", 
         RowBox[{"-", "Ac"}], "]"}]}]}], ";", "\[IndentingNewLine]", 
      RowBox[{"stsphase", "=", 
       RowBox[{
        RowBox[{"(", 
         RowBox[{
          RowBox[{"-", "\[Beta]"}], "+", 
          RowBox[{"sigAc", ".", "Pivs"}]}], ")"}], ".", 
        RowBox[{"Inverse", "[", 
         RowBox[{
          RowBox[{
           RowBox[{"-", "Bs"}], "/", "c"}], "-", "Ls", "-", 
          RowBox[{"Fs", " ", "c"}]}], "]"}]}]}], ";", "\[IndentingNewLine]", 
      RowBox[{"normc", "=", 
       RowBox[{
        RowBox[{"Total", "[", "stvphase", "]"}], "+", 
        RowBox[{"Total", "[", "stsphase", "]"}]}]}], ";", 
      "\[IndentingNewLine]", 
      RowBox[{"(*", " ", 
       RowBox[{
       "Calculate", " ", "factorial", " ", "moments", " ", "of", " ", "the", 
        " ", "queue", " ", "length"}], " ", "*)"}], "\[IndentingNewLine]", 
      RowBox[{"fmoms", "=", 
       RowBox[{"Table", "[", 
        RowBox[{
         RowBox[{"Quiet", "[", 
          RowBox[{"NIntegrate", "[", 
           RowBox[{
            RowBox[{
             RowBox[{"D", "[", 
              RowBox[{
               RowBox[{
                RowBox[{"sigma", "[", "x", "]"}], "*", 
                RowBox[{
                 RowBox[{"\[Beta]", ".", 
                  RowBox[{"(", 
                   RowBox[{
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{"Pisv", "-", 
                    RowBox[{"Pisv", ".", 
                    RowBox[{"MatrixExp", "[", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{"Lv", "+", 
                    RowBox[{"z", " ", "Fv"}]}], ")"}], " ", "x"}], "]"}]}]}], 
                    ")"}], ".", 
                    RowBox[{"Total", "[", 
                    RowBox[{
                    RowBox[{"Inverse", "[", 
                    RowBox[{
                    RowBox[{"-", "Lv"}], "-", 
                    RowBox[{"z", " ", "Fv"}]}], "]"}], ",", 
                    RowBox[{"{", "2", "}"}]}], "]"}]}], "-", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"IdentityMatrix", "[", 
                    RowBox[{"Length", "[", "Ls", "]"}], "]"}], "-", 
                    RowBox[{"Pisv", ".", 
                    RowBox[{"MatrixExp", "[", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{"Lv", "+", 
                    RowBox[{"z", " ", "Fv"}]}], ")"}], " ", "x"}], "]"}], ".",
                     "Pivs"}]}], ")"}], ".", 
                    RowBox[{"Total", "[", 
                    RowBox[{
                    RowBox[{"Inverse", "[", 
                    RowBox[{
                    RowBox[{
                    RowBox[{"-", "Bs"}], "/", "z"}], "-", "Ls", "-", 
                    RowBox[{"z", " ", "Fs"}]}], "]"}], ",", 
                    RowBox[{"{", "2", "}"}]}], "]"}]}]}], ")"}]}], "/", 
                 "normc"}]}], ",", 
               RowBox[{"{", 
                RowBox[{"z", ",", "1"}], "}"}]}], "]"}], "/.", 
             RowBox[{"z", "\[Rule]", 
              RowBox[{"N", "[", 
               RowBox[{
                RowBox[{"1", "-", 
                 SuperscriptBox["10", 
                  RowBox[{
                   RowBox[{"-", "WorkingPrec"}], " ", "/", "4"}]]}], ",", 
                "WorkingPrec"}], "]"}]}]}], ",", 
            RowBox[{"{", 
             RowBox[{"x", ",", "0", ",", "\[Infinity]"}], "}"}], ",", 
            RowBox[{"WorkingPrecision", "\[Rule]", "WorkingPrec"}]}], "]"}], 
          "]"}], ",", 
         RowBox[{"{", 
          RowBox[{"k", ",", "n"}], "}"}]}], "]"}]}], ";", 
      "\[IndentingNewLine]", 
      RowBox[{"Return", "[", "fmoms", "]"}], ";"}]}], "\[IndentingNewLine]", 
    "]"}]}], ";"}]], "Input",
 CellChangeTimes->{{3.65138028991711*^9, 3.6513803129727983`*^9}, {
   3.651380372845636*^9, 3.651380377578711*^9}, {3.651382897475713*^9, 
   3.651382899198737*^9}, {3.651382969377453*^9, 3.651382986718079*^9}, {
   3.651388097304282*^9, 3.6513881609414053`*^9}, {3.6513884475026197`*^9, 
   3.651388491117798*^9}, 3.651388768790697*^9, 3.6513897174768963`*^9, 
   3.651390554313043*^9, {3.6518127122636347`*^9, 3.651812718912321*^9}, {
   3.651813081409259*^9, 3.651813098125718*^9}, {3.651813148614066*^9, 
   3.651813196629287*^9}, {3.651813239357786*^9, 3.651813239904936*^9}, {
   3.651816026890441*^9, 3.651816033793037*^9}, {3.6518160966764193`*^9, 
   3.651816098091082*^9}, {3.651819015588394*^9, 3.651819018558566*^9}}]
},
WindowSize->{931, 996},
WindowMargins->{{175, Automatic}, {Automatic, 2}},
FrontEndVersion->"10.0 for Linux x86 (64-bit) (June 27, 2014)",
StyleDefinitions->"Default.nb"
]
(* End of Notebook Content *)

(* Internal cache information *)
(*CellTagsOutline
CellTagsIndex->{}
*)
(*CellTagsIndex
CellTagsIndex->{}
*)
(*NotebookFileOutline
Notebook[{
Cell[CellGroupData[{
Cell[580, 22, 194, 5, 64, "Input"],
Cell[CellGroupData[{
Cell[799, 31, 135, 2, 28, "Print"],
Cell[937, 35, 207, 5, 28, "Print"],
Cell[1147, 42, 592, 13, 99, "Print"]
}, Open  ]]
}, Open  ]],
Cell[1766, 59, 2723, 88, 239, "Input"],
Cell[4492, 149, 2083, 63, 239, "Input"],
Cell[6578, 214, 3355, 104, 364, "Input"],
Cell[9936, 320, 3271, 100, 364, "Input"],
Cell[13210, 422, 2397, 74, 232, "Input"],
Cell[CellGroupData[{
Cell[15632, 500, 1728, 40, 239, "Input"],
Cell[17363, 542, 229, 5, 38, "Output"],
Cell[17595, 549, 229, 5, 38, "Output"],
Cell[17827, 556, 229, 5, 38, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[18093, 566, 1429, 36, 214, "Input"],
Cell[19525, 604, 180, 4, 38, "Output"],
Cell[19708, 610, 181, 4, 38, "Output"],
Cell[19892, 616, 180, 4, 38, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[20109, 625, 1452, 37, 214, "Input"],
Cell[21564, 664, 400, 8, 38, "Output"],
Cell[21967, 674, 401, 8, 38, "Output"],
Cell[22371, 684, 393, 7, 38, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[22801, 696, 1503, 37, 214, "Input"],
Cell[24307, 735, 653, 12, 150, "Output"],
Cell[24963, 749, 651, 12, 150, "Output"],
Cell[25617, 763, 649, 12, 150, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[26303, 780, 2366, 61, 414, "Input"],
Cell[28672, 843, 453, 9, 89, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[29162, 857, 2372, 61, 414, "Input"],
Cell[31537, 920, 453, 9, 89, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[32027, 934, 2368, 61, 414, "Input"],
Cell[34398, 997, 432, 9, 89, "Output"]
}, Open  ]],
Cell[34845, 1009, 9115, 220, 983, "Input"],
Cell[43963, 1231, 11144, 268, 1260, "Input"]
}
]
*)

(* End of internal cache information *)
